Version 3.12.7
~~~~~~~~~~~~~~
Released: 2025-02-09

Features:
 * WebP: read the ICC profile if available
 * WebP: save the EXIF data
 * Video screenshot: use the configured jpeg extension for the file

Bugfixes:
 * Preferences dialog: same dialog shown endlessy (Balló György)
 * Bookmarks: fixed loading system bookmarks with the flatpak version
 * migrate-catalogs: properly use time_t for localtime (Pino Toscano)
 * Removed references to wiki.gnome.org pages (!332)
 * Appdata: Fix developer id (Daniel Rusek)

Translations:
 * Hungarian (Balázs Úr)
 * Romanian (Daniel Șerbănescu)
 * Slovak (Jose Riha)
 * Slovenian (Martin Srebotnjak)
 * RU (Ser82-png)
 * Swedish (Anders Jonsson)
 * Ukrainian (Yuri Chornoivan)

Version 3.12.6
~~~~~~~~~~~~~~
Released: 2024-03-10

Features:
 * WebAlbums: allow Exif image title to be used. (Linas Vepstas)

Bugfixes:
 * Fixed 'could not perform operation' when editing a modified image.
 * Video thumbnailer: use the default thumbnail size if invalid. (Linas Vepstas)
 * Video thumbnailer: avoid a null pointer dereference and crash. (Linas Vepstas)

Translations:
 * Slovenian (Martin Srebotnjak)

Version 3.12.5
~~~~~~~~~~~~~~
Released: 2024-02-18

Bugfixes:
 * Add to catalog: show the next image only when in viewer mode (!313)
 * jxl: added support for version 0.9.0 (Timo Gurr) (!306)
 * Commenting a picture deletes its Color Profile tag. This only
   happened when the 'Store metadata inside files if possible' option
   was active. (!293)

Translations:
 * Chinese/Traditional (Cheng-Chia Tseng)
 * Turkish (Sabri Ünal)
 * čeština (Daniel Rusek)

Version 3.12.4
~~~~~~~~~~~~~~
Released: 2023-10-10

Bugfixes:
 * Crop: lost the custom sizing for Aspect Ratio "Other" (!298)
 * Do not use symbols not available in glib 2.54.0 (!294)
 * Build failed (!292)

Translations:
 * Belarusian (Yuras Shumovich)
 * Catalan (Jordi Mas i Hernàndez)
 * Deutsch (Jürgen Benvenuti)
 * Hungarian (Balázs Úr)

Version 3.12.3
~~~~~~~~~~~~~~
Released: 2023-08-27

Features:
 * Added ability to open the image stored in the clipboard with Ctrl+Shift+V (!243)
 * Added ability to sort folders by modification time from the context menu
 * Media viewer: added ability to copy the current frame to the clipboard with Ctrl+Shift+C
 * Tiff and TGA files: added support for transparency
 * Image viewer: added support for the zoom gesture (!50)
 * Drag&Drop: allow to copy pressing Shift (matthewmelvin)
 * Image tools: allow to use Return to apply the changes
 * Rename series: added special code to add the filename without extension
 * Rename series: added ability to specify the current time
 * Crop: added 1.91:1 to the list of predefined ratios
 * Added an internal video thumbnailer
 * Try to load the parent folder if the startup folder doesn't exist
 * Make keypad keys equivalent to the non-keypad counterpart (!238) (!239)
 * Improved usability when editing metadata in browser mode (!267)
 * Zoom slider: set the zoom range from 5% to 1000%

Bugfixes:
 * Allow to compile without clutter-gtk (Matt Turner) (!222)
 * Fixed build with exiv2 version 0.28 (Alex and Antonio Rojas)
 * Fixed build with libraw 0.21
 * Reduced memory usage by keeping in memory only the visible thumbnails
 * Rename series: fixed date format not applied correctly; preview does not show example values
 * Desktop background: fixed when using the dark color scheme
 * Fixed memory leaks
 * Fixed directory not loaded when cancelling the thumbnailer
 * Help: Added gThumb icon (Sabri Ünal)
 * TGA files displayed pixelated
 * Status bar reappears after exiting from full screen

Translations:
 * Basealt (Aleksandr Melman)
 * Basque (Asier Sarasua Garmendia)
 * Brazilian Portuguese (Enrico Nicoletto)
 * catalan (Jordi Mas i Hernàndez)
 * Chinese - China (Boyuan Yang)
 * Croatian (gogo)
 * Danish (Alan Mortensen)
 * Deutsch (Jürgen Benvenuti)
 * Finnish (Jiri Grönroos)
 * French (Guillaume Bernard)
 * Georgian (Temuri Doghonadze)
 * German (Jürgen Benvenuti)
 * Hebrew (Yosef Or Boczko)
 * Hungarian (Balázs Úr)
 * Icelandic (Sveinn í Felli)
 * IE (OIS)
 * Indonesian (Kukuh Syafaat) (Andika Triwidada)
 * Lietuvių (Aurimas Černius)
 * Polish (Piotr Drąg)
 * Português (Hugo Carvalho)
 * Serbian <српски (Мирослав Николић)
 * Spanish - Spain (Daniel Mustieles García)
 * Swedish (Anders Jonsson)
 * Turkish (Sabri Ünal)
 * Ukrainian (Yuri Chornoivan)
 * čeština (Marek Černocký)

Version 3.12.2
~~~~~~~~~~~~~~
Released: 2022-04-03

Features:
 * Added support for larger thumbnail sizes: 512, 768 and 1024 pixels.

Bugfixes:
 * Fixed possible crash when changing directory during thumbnails creation.

Translations:
 * Dutch (Nathan Follens)
 * Hungarian (Balázs Úr)
 * Polish (Piotr Drąg)
 * Swedish (Anders Jonsson)
 * Ukrainian (Yuri Chornoivan)

Version 3.12.1
~~~~~~~~~~~~~~
Released: 2022-03-21

Bugfixes:
 * PNG loader ignores gAMA. (#194)
 * Transparent webp images are rendered incorrectly. (#199)
 * Crash when dropping files on an empty folder/catalog. (#220)
 * Fixed location loading after mounting volume.
 * JPEG image dimensions not displayed for files inside the trash. (#214)
 * Infinite Loop when viewing more than 50 thumbnails. (Kendy Kutzner)
 * X11 window title is not set. (Bruno Vasselle)
 * Copy release notes on build from NEWS to metainfo file. (Federico Bruni)
 * Fixed build if appstream >= 0.14.6 is not available.
 * Fix incorrect usage of shared_module in extensions. (Jakub Jirutka)
 * cli: mention that user can open files and/or directories. (#167)

Translations:
 * Basealt (Olesya Gerasimenko)
 * Catalan (Jordi Mas)
 * Croatian (gogo)
 * Dutch (Nathan Follens)
 * Hebrew (Yosef Or Boczko)
 * Japanese (sicklylife)
 * Swedish (Anders Jonsson)
 * Turkish (Emin Tufan Çetin)
 * српски (Мирослав Николић)

Contributors:
 Kendy Kutzner, Bruno Vasselle, Federico Bruni, Jakub Jirutka,
 Olesya Gerasimenko, Jordi Mas, gogo, Nathan Follens, Yosef Or Boczko
 sicklylife, Anders Jonsson, Emin Tufan Çetin, Мирослав Николић

Version 3.12.0
~~~~~~~~~~~~~~
Released: 2021-09-19

Bugfixes:
 * Fix memory leak when loading webp, jxl, avif images. (Jürg Billeter)
 * Check if image is null before using it. (!189)
 * Added a Flatpak manifest. (AsciiWolf)

Translations:
 * Catalan (Jordi Mas)
 * Finnish (Jiri Grönroos)
 * Hungarian (Balázs Úr)
 * Indonesian (Andika Triwidada)
 * Lietuvių (Aurimas Černius)
 * Spanish - Spain (Daniel Mustieles)
 * Swedish (Anders Jonsson)
 * čeština (Marek Černocký)


Version 3.11.4
~~~~~~~~~~~~~~
Released: 2021-08-22

Features:
 * Added ability to load AVIF/HEIF images using libheif.
 * Added ability to save images as AVIF.
 * Allow to set shortcuts to activate filters.
 * Added a template editor to edit text values with special codes:
   script commands, rename templates, print header and footer, etc.
 * Faster navigation when a directory contains thousands of images.
 * File list: start more thumbnailers in parallel.
 * Allow to mount unmounted volumes.
 * Color picker: added other formats: rgb in % and hsl.
 * Allow to keep browsing while executing long-running external tools.
 * Status bar: added button to show the progress dialog.
 * File properties: do not reset the selection after showing another image.
 * Histogram: show the properties in a single column to save horizontal space.

Bugfixes:
 * Install the gThumb import desktop file. (Bruce Schultz)
 * Contact sheet: fixed themes list always empty.
 * Thumbnailer: try with the system thumbnailer if the image is null
   (!184)
 * Include locale.h for LC_NUMERIC (!180)
 * Raw: Make compatible with LibRaw 0.21 (Chris Mayo)
 * Folder context menu: do not allow to move if cannot delete.
 * Folder context menu: do not allow to copy not mounted volumes.
 * Terminal: enable only for local folders.
 * File chooser: correctly get the filename extension.

Translations:
 * Basque (Asier Sarasua Garmendia)
 * Brazilian Portuguese (Rafael Fontenelle)
 * Chinese - China (Boyuan Yang)
 * Danish (Ask Hjorth Larsen)
 * Indonesian (Andika Triwidada)
 * Polish (Piotr Drąg)
 * Romanian (Adi Roiban)
 * Spanish - Spain (Daniel Mustieles)
 * Swedish (Anders Jonsson)
 * Turkish (Emin Tufan Çetin)
 * Ukrainian (Yuri Chornoivan)

Version 3.11.3
~~~~~~~~~~~~~~
Released: 2021-04-11

Features:
 * Add JPEG XL (*.jxl) read support. (Ian Tester)
 * File manager: added file actions to the viewer context menu. (!102)
 * Extensions: removed facebook and picasaweb uploaders.

Bugfixes:
 * Fixed possible build error.
 * Continuously reloads image when it is only image in folder (!153)
 * Webp can have transparency as well.

Translations:
 * Basque (Asier Sarasua Garmendia)
 * Brazilian Portuguese (Enrico Nicoletto)
 * catalan (Jordi Mas)
 * Dutch (Nathan Follens, Paul Matthijsse)
 * Finnish (Jiri Grönroos)
 * Hungarian (Balázs Úr)
 * Indonesian (Kukuh Syafaat)
 * Lietuvių (Aurimas Černius)
 * Polish (Piotr Drąg)
 * Romanian (Adi Roiban)
 * Spanish - Spain (Daniel Mustieles)
 * Swedish (Anders Jonsson)
 * Turkish (Muhammet Kara)
 * Ukrainian (Yuri Chornoivan)
 * čeština (Marek Černocký)
 * српски (Мирослав Николић)
 * עברית (Yaron Shahrabani)

Version 3.11.2
~~~~~~~~~~~~~~
Released: 2021-01-10

Features:
 * Image viewer: use a proportional zoom increment. (#104)
 * Image viewer: keep the same pixel under the pointer after zooming. (#129)
 * Read color profiles from png files as well.
 * Media viewer: use accurate seeking when clicking on the progress bar.
 * Media viewer: show the pointed time when hovering over the progress bar.
 * Browser: added support for back and forward mouse buttons. (#120)
 * Preferences: added option to show/hide the statusbar.
 * Rename files: added a button to revert to the last used template.

Bugfixes:
 * Image viewer: fixed bright line visual artifacts. (#118)
 * gThumb opens import tool if the import tool is already opened. (#133)
 * Fixed jump to bottom when selecting thumbnails with mouse. (#147)
 * exiv2: remove the charset= prefix from strings. (#137)
 * Search: do not count duplicated files.
 * Search: stop searching if the user changes location.
 * Search: stop the previous search before starting the new one.

Translations:
 * Brazilian Portuguese (Enrico Nicoletto)
 * catalan (Jordi Mas)
 * Hungarian (Balázs Úr)
 * Indonesian (Andika Triwidada)
 * Japanese (sicklylife)
 * Lietuvių (Aurimas Černius)
 * Polish (Piotr Drąg)
 * Slovenian (Matej Urbančič)
 * Swedish (Anders Jonsson)
 * Turkish (Emin Tufan Çetin)
 * Ukrainian (Yuri Chornoivan)
 * čeština (Marek Černocký)

Version 3.11.1
~~~~~~~~~~~~~~
Released: 2020-09-20

Features:
 * Added configurable shortcuts for Save and Save As. (Joerg Fellmann)
 * Media player: adjust the pitch if not played at normal speed.
 * Media viewer: added keyboard shortcuts.
 * Media viewer: added actions to skip forward/backward.
 * Media viewer: fixed hardware accelerated playback.
 * Desktop file: added a 'New Window' action.
 * File list: always allow to use Control-A to select all files.

Bugfixes:
 * WebP loader: fixed an infinite loop when the operation is cancelled. (Jürg Billeter)
 * Jpeg loader: fixed crash in case of some malformed jpegs. (Joerg Fellmann)
 * Fixed crash when selecting other images after deleting. (#126)
 * Fixed long UI freeze after cutting/pasting many files.

Translations:
 * Brazilian Portuguese (Henrique Machado Campos)
 * Catalan (Jordi Mas)
 * Chinese/Traditional (Cheng-Chia Tseng)
 * Finnish (Jiri Grönroos)
 * French (Charles Monzat)
 * German - Germany (Christian Kirbach)
 * Indonesian (Andika Triwidada)
 * Italian (Gianvito Cavasoli)
 * Japanese (sicklylife)
 * Lietuvių (Aurimas Černius)
 * Polish (Piotr Drąg)
 * Spanish - Spain (Daniel Mustieles)
 * Swedish (Anders Jonsson)
 * Ukrainian (Yuri Chornoivan)

Version 3.10.0
~~~~~~~~~~~~~~
Released: 2020-04-19

Features:
 * Edit metadata dialogs: moved the lock button on the header bar; show the
   navigation bar only when the lock button is active.
 * Open location dialog: allow to use tilde as a home folder shortcut.

Bugfixes:
 * Install missing .ui file

Translations:
 * Brazilian Portuguese (Rafael Fontenelle)
 * Dutch (Justin van Steijn)
 * Indonesian (Andika Triwidada)
 * Italiano (Gianvito Cavasoli)
 * Japanese (sicklylife)
 * Polish (Piotr Drąg)
 * Spanish - Spain (Daniel Mustieles)
 * Swedish (Anders Jonsson)
 * Turkish (Emin Tufan Çetin)
 * Ukrainian (Yuri Chornoivan)

Version 3.9.1
~~~~~~~~~~~~~
Released: 2020-03-07

Features:
 * Added ability to customize the keyboard shortcuts.
 * Added a shortcuts window to show the available shortcuts.
 * Added option to change the mouse wheel action.
 * Image viewer: added ability to define the transparency style.
 * Video viewer: allow to view the video at the original size; show the zoom
   factor in the statusbar.
 * Edit comment/tags dialogs: use the header bar; allow to change the current
   image from the dialog.
 * Add to catalog: use the header bar; allow to change the current image from
   the dialog.
 * Search: added ability to search in multiple folders.
 * Scripts: added %T to insert a timestamp in the command.
 * Folder tree:
   * better drag&drop support: allow to move a catalog into a library, and a
     library into another library, show an error if the drop operation is not
     possible;
   * added an 'Open in Terminal' command in the context menu.
 * Overwrite dialog: show video previews as well, fixed dialog size.
 * Preferences: allow to specify a catalog or any other location as startup
   location.
 * Trash/Delete files: show progress for long operations.
 * File properties: added the file size in bytes.
 * File properties: added a context menu command to customize the visibile
   properties.
 * Toolbar: show edit comment/tags in browser mode as well.
 * Export tools: removed from the toolbar.  Some tools moved to the tools
   menu, others as a submenu in the gears menu.
 * Fixed window size when started the first time.
 * Updated app icon to follow the new GNOME style.
 * Rewritten README in markdown, updated screenshots.
 * Appdata: added release and OARS tags for flathub compatibility. (Tobias Mueller)

Bugfixes:
 * gThumb hangs when some mount point is unavailable. (!75)
 * Jpeg loader: crash when the original size is too big for a cairo surface.
 * PNG loader: correctly load images with transparency.
 * Fixed run-time errors if exiv2 is not used.
 * Catalog: preserve the list order after saving the properties.
 * Scripts: fixed task cancellation when using a shell script.

Notes:
 * Utility functions refactoring.
 * Added tests for the utility functions.

version 3.8.2
-------------

 User visible changes:

  * Use menus instead of popovers for menu buttons on the header bar,
    to show icons and accelerators.
  * Header bar: align menus to the right for menu buttons on the right side.
  * Tools menu: show the accelerators.
  * Search: show the matching files during the search operation.
  * Rename dialog: activate on enter. (Ivan Ershov)

 Bugs fixed:

  * Fixed filesize test for big files.
  * Overwrite dialog: do not show an error after cancelling the operation.
  * Fixed crash when moving files to the trash.
  * Install missing UI files. (Dan Horák)
  * Added image/webp support in .desktop file. (Baltix Mantas) (!55)
  * Fix callback signature for value-changed signal when setting zoom
    (Dan Horák) (!54)
  * Help: corrected wiki link. (Wylel) (!2)

 New or updated application translations:

  * Catalan (Jordi Mas)
  * Italiano (Gianvito Cavasoli)

 New or updated manual translations:

  * Spanish - Spain (Daniel Mustieles)

version 3.8.1
-------------

 Bugs fixed:

  * Selections: fixed possible crash after reordering the files.

 New or updated application translations:

  * Basque (Alexander Gabilondo)
  * catalan (Jordi Mas)
  * Croatian (gogo)
  * Dutch (Paul Matthijsse)
  * Turkish (Sabri Ünal)

version 3.8.0
-------------

 New features and user visible changes:

  * Delete dialog: make the delete button red

 Bugs fixed:

  * build error when JPEG_LIB_VERSION < 80 (!44)

version 3.7.2
-------------

 New features and user visible changes:

  * Added ability to drag an image from the viewer. (!24)
  * Image viewer: use a checked pattern as background for transparent images.
  * Thumbnails: do not use a white background for images with
    transparencies. (!37)
  * Photo importer: remember the last used filter.

 Bugs fixed:

  * Deleting picture sometimes removes wrong file. (!29)
  * When changing a file metadata update the folder as well. (!28)
  * New library: always shows 'name already used' error. (!43)
  * Fixed crash when deleting files and moving to trash is not possible.
  * JPEG loader: fixed possible crash when a jpeg image is broken.
  * Fixed JPEG lossless rotation. (!22)
  * Fixed git url in README. (!40)
  * Fix the build with exiv2 0.27 (Kalev Lember) (!30)
  * Fails to build when passing -Dgstreamer=false (!35)
  * Fixed other build issues. (Kalev Lember) (Timo Gurr)
  * Preferences dialog: fix link to "More extensions".
  * Grid view: fixed layout after changing thumbnail size.
  * Bookmarks dialog: fixed icons color.

 New or updated application translations:

  * catalan (Jordi Mas)
  * Dutch (Nathan Follens)
  * Finnish (Jiri Grönroos)
  * French (Claude Paroz)
  * German (Mario Blättermann)
  * Indonesian (Kukuh Syafaat)
  * Italiano (Gianvito Cavasoli)
  * Lietuvių (Aurimas Černius)
  * Portuguese - Brazil (Rafael Fontenelle)
  * српски (Марко М. Костић)

 New or updated manual translations:

  * Dutch (Paul Matthijsse)

version 3.7.1
-------------

 New features and user visible changes:

  * Removed the application menu.
  * Sidebar: show the property views in expandable sections.
  * Thumbnail list: spread the thumbnails horizontally to fill the available
    space.
  * Video viewer: added option to use opengl instead of cairo.
  * Show the rating as a sequence of stars.
  * Color picker: use lowercase letters for the hexadecimal value.
  * Contact sheet: set the current directory as destination if possible.
  * Script dialog: wider list to make all columns visible.
  * Use meson as build system.

 Bugs fixed:

  * Image navigator: fixed popup positioning.
  * Preferences: fixed crash when setting the current location as default.
  * About dialog: fixed website url.
  * Jpeg loader: try to load broken images.
  * Contact sheet: error if the theme file could not be loaded. (issue 18)
  * Removed deprecated functions.

version 3.6.1
-------------

 Bugs fixed:

  * Fixed crash when browsing folders with images and videos. (#760214)

 New or updated application translations:

  * Brazilian Portuguese (Isaac Ferreira Filho)
  * Croatian (gogo)
  * es (Daniel Mustieles)
  * Esperanto (Kristjan SCHMIDT)
  * Hungarian (Balázs Úr)

 New or updated manual translations:

  * es (Daniel Mustieles)

version 3.6.0
-------------

 Bugs fixed:

  * Numeric keypad nav keys don't work (#667390)

 New or updated application translations:

  * Danish (Alan Mortensen)

version 3.5.4
-------------

 Bugs fixed:

  * No application icon on Wayland.
  * Tags dialog: improved usability.  Do not select the entry content after
    opening the dialog; add a comma at the end of the tags entry to simplify
    the addition of a new tag; support keyboard navigation. (#777234)
  * Hi-DPI: "High" quality zoom is pixelated on hi-dpi monitors. (#779340)
  * Web services: fixed errors and removed features no longer supported by
    the APIs:
    * Facebook: fixed authorization process; removed photo importer.
    * PicasaWeb: removed album creation; remember application
      authorization. (#784142)
    * Photobucket: removed uploader.
  * Image viewer: use a white background for transparency. (#780207)
  * Fixed saving of uris in settings. (#783498)
  * Color manager: fixed crash when no device is found. (#789347)
  * Do not save selections. This broke workflows where selections were involved.
  * Removed obsolete file gthumb.convert (#767034)

 New or updated application translations:

  * Danish (Alan Mortensen)
  * Indonesian (Kukuh Syafaat)
  * Latvian (Rūdolfs Mazurs)
  * Lietuvių (Aurimas Černius)
  * Swedish (Anders Jonsson)

 New or updated manual translations:

  * Deutsch (Mario Blättermann)

version 3.5.3
-------------

 New features and user visible changes:

  * Add app menu entries to the gear menu if the app menu is not supported by
    the desktop environment.
  * Updated appdata file.
  * Fixed help markup. (Andre Klapper)

 New or updated application translations:

  * Brazilian Portuguese (Rafael Fontenelle)
  * catalan (Jordi Mas)
  * Chinese/Traditional (Cheng-Chia Tseng)
  * Danish (Ask Hjorth Larsen)
  * Deutsch (Mario Blättermann)
  * es (Daniel Mustieles)
  * French (Claude Paroz)
  * Hungarian (Balázs Úr)
  * Indonesian (Kukuh Syafaat)
  * Italiano (Gianvito Cavasoli)
  * Polish (Piotr Drąg)
  * srpski (Miroslav Nikolić)
  * Swedish (Josef Andersson)
  * čeština (Marek Černocký)
  * српски (Мирослав Николић)

 New or updated manual translations:

  * es (Daniel Mustieles)
  * čeština (Marek Černocký)

version 3.5.2
-------------

 New features and user visible changes:

  * Faster image loading.
  * Fixed big memory leak and other minor memory leaks.
  * Aspect ratio filtering. (Vasdi)
  * Video player works on wayland as well.
  * Color profiles work on wayland as well (requires colord).
  * Show the color profile description in the property view.
  * Headerbar: show the tools menu button in viewer mode as well; added a
    button to go to the catalogs root; added a button to go to the home folder.
  * Scripts: allow to specify a generic accelerator.
  * Selections: save at exit and restore at start.
  * Video player: added a loop button.
  * Use Unicode in translatable strings. (Piotr Drąg) (#782038)

 Bugs fixed:

  * Slideshow: no need to specify autoaudiosink as audio-sink. It is
    already the default audio sink. (#785612)
  * SEGFAULT when a svg image could not be loaded (784886)
  * Do not process bitmap thumbnails with invalid color settings.
    (Jan de Groot) (#778556)
  * Fixed possible crash when switching from the image viewer to another viewer.

 New or updated application translations:

  * Brazilian Portuguese (Rafael Fontenelle)
  * Deutsch (Mario Blättermann)
  * es (Daniel Mustieles)
  * French (Julien Hardelin)
  * Hungarian (Balázs Úr)
  * Indonesian (Kukuh Syafaat)
  * Italiano (Gianvito Cavasoli)
  * Lietuvių (Aurimas Černius)
  * Polish (Piotr Drąg)
  * Swedish (Anders Jonsson)
  * čeština (Marek Černocký)
  * Русский (Stas Solovey)

 New or updated manual translations:

  * French (Julien Hardelin)
  * Swedish (Anders Jonsson)

version 3.5.1
-------------

 New features and user visible changes:

  * Added support for double click activation.
  * Added option to open files in fullscreen mode.
  * Added a zoom popover with various zoom commands and a zoom slider.
  * Added a color picker.
  * All dialogs: use the headerbar if supported by the desktop environment
    (if 'gtk-dialogs-use-header' is set).
  * App menu: added 'keyboard shortcuts'.
  * Tag filter: added ability to filter using a regular expression.
  * Sort catalogs by name, then by date.
  * Gif animations: allow to pause and view the next frame.
  * Added the control-o accelerator to open the location dialog.
  * Keep the zoom buttons on the headerbar if the tool allow to zoom the image.
  * Added a fullscreen button to the headerbar in viewer mode.
  * Find duplicates: speed optimizations.
  * New folder: open the folder after creating it.
  * Hide the image frame when in fullscreen mode.
  * Moved the photo importer preferences to the extension section.
  * Find duplicates: more responsive when the duplicate list is huge.
  * Added support for image/x-fuji-raf raw files. (Michael J. Chudobiak) (#709385)
  * Fixed RTL icons and arrow rendering. (Michael J. Chudobiak) (#747380)

 Bugs fixed:

  * Ensure the settings have been saved before exiting.
  * Desktop background: always create a unique filename to force an update.
  * Desktop background: fixed error when setting an xcf image as background.
  * Resize: fixed wrong aspect ratio after opening. (Vaclav Brozek)
  * Slideshow: start on the same monitor of the window.
  * Sizing issues in gthumb preferences under gtk+ git master. (#770546)
  * Adjust contrast: better description of the stretch method (#767615)
  * Removed deprecated gnome-common macros (#768528)
  * Fixed scrollbars resetting their position when changing image.
  * Fixed theme errors with gtk+ 3.20.
  * Do not show rotation tools for animations.
  * Crash after pressing shift-arrow. (#760050)
  * Stopping slideshow freezes entire program. (#759787)
  * Disambiguate labels of various metadata "date" fields. (#728471)
  * Crash if trying to delete image on sftp mounted. (#759727)
  * Crash when deleting duplicate. (#750142)
  * Various minor typos fixed. (Michael J. Chudobiak) (#756486)

 New or updated application translations:

  * Albanian (Laurent Dhima)
  * Amharic (Ge'ez Frontier Foundation)
  * Arabeyes (Djihed Afifi)
  * Azerbaijani (Metin Amiroff)
  * Brazilian Portuguese (Rafael Fontenelle)
  * Bulgarian (Julia Velkova)
  * Canadian English (Adam Weinberger)
  * catalan (Jordi Mas)
  * catalan (Sílvia Miranda)
  * Chinese (Hong Kong) (taijuin)
  * Chinese (simplified) (tuhaihe)
  * Chinese/Traditional (Cheng-Chia Tseng)
  * Croatian (gogo)
  * Danish (Ask Hjorth Larsen)
  * Deutsch (Wolfgang Stoeggl)
  * Dzongkha (sonam pelden)
  * English/GB (David Lodge)
  * es (Daniel Mustieles)
  * Esperanto (Kristjan SCHMIDT)
  * French (Claude Paroz)
  * Galego (Francisco Diéguez)
  * Gujarati (Sweta Kothari)
  * Hindi (Rajesh Ranjan)
  * Hungarian (Balázs Úr)
  * Icelandic (Sveinn í Felli)
  * Indonesian (Andika Triwidada)
  * Irish (Alastair McKinstry)
  * Italiano (Gianvito Cavasoli)
  * Kannada (Shankar Prasad)
  * Kinyarwanda (Steve Murphy)
  * Korea (Young-Ho Cha)
  * Latvian (Rūdolfs Mazurs)
  * Lietuvių (Aurimas Černius)
  * Low German (Nils-Christoph Fiedler)
  * Macedonian (Arangel Angov)
  * Malay (Hasbullah Bin Pit)
  * Malayalam (FSF-India)
  * Nepali (Shyam Krishna Bal)
  * Norwegian Nynorsk (Åsmund Skjæveland)
  * Norwegian/Bokmaal (Kjartan Maraas)
  * Occitan (Yannig Marchegay (Kokoyaya))
  * Pashto (Zabeeh Khan)
  * Persian (Meelad Zakaria)
  * Polish (Piotr Drąg)
  * Português (Pedro Albuquerque)
  * Punjabi/Panjabi (A S Alam)
  * Romanian (Adi Roiban)
  * Slovak (Peter Tuhársky)
  * Slovenian (Matej Urbančič)
  * srpski (Miroslav Nikolić)
  * Swedish (Anders Jonsson)
  * Thai (Sira Nokyoongtong)
  * Turkish (Simge Sezgin)
  * Ukrainian (Maxim Dziumanenko)
  * Vietnamese (Clytie Siddall)
  * Xhosa (Canonical Ltd)
  * čeština (Marek Černocký)
  * Русский (Yuri Myasoedov)
  * српски (Мирослав Николић)
  * עברית (Yosef Or Boczko)

 New or updated manual translations:

  * Czech (Marek Černocký)
  * Deutsch (Christian Kirbach)
  * Español; Castellano (Daniel Mustieles)
  * Hungarian (Balázs Úr)
  * Swedish (Anders Jonsson)

version 3.4.1
-------------

 Bugs fixed:

  * Fixed build on Fedora 23 (Kalev Lember) (#747982)
  * Allow cross-compiling (Quentin Glidic) (#755390)

 New or updated application translations:

  * Catalan (Sílvia Miranda)
  * Español; Castellano (Daniel Mustieles)
  * Hungarian (Balázs Úr)
  * Icelandic (Sveinn í Felli)
  * Italiano (Gianvito Cavasoli)
  * Lietuvių (Aurimas Černius)
  * Polish (Piotr Drąg)
  * Русский (Stas Solovey)

 New or updated manual translations:

  * Hungarian (Balázs Úr)
  * Spanish (Daniel Mustieles)

version 3.4.0
-------------

 Bugs fixed:

  * Media player: smoother volume change.
  * History: do not remove other occurrences of the current location.
  * Don't merge translations into gschema file.
  * Facebook: fixed the authorization process.
  * Contact sheet: fixed header color not set when creating a new theme.

 New or updated application translations:

  * French (Claude Paroz)
  * עברית (Yosef Or Boczko)

version 3.3.4
-------------

 New features and user visible changes:

  * Image viewer: added 'fit to height' button.
  * Drag&Drop: move files by default.
  * Ask confirmation before moving files with a drag&drop operation.
  * Make 'delete files' and 'trash files' asyncronous.
  * Use the default gtk+ style for message dialogs.  Use the header-bar for
    request dialogs.
  * Changed 'adjust contrast' shortcut to 'a'. 'h' is now used to fit to height.
  * Added a symbolic application icon.
  * Fixed comment pane style with gtk+ 3.16.
  * Show the app menu on the headerbar if the shell doesn't show it.
  * Preferences dialog: fixed extensions activation/deactivation.

 Bugs fixed:

  * Webalbums: do not exit if a fatal error is issued (#744530)
  * Build failure on x32 (kilobyte)
  * Image viewer: the overview quickly appears and disappears sometimes.

 New or updated application translations:

  * Bosnian (Samir Ribic)
  * Czech (Marek Černocký)
  * Hungarian (Balázs Úr)
  * Lietuvių (Aurimas Černius)
  * Polish (Piotr Drąg)
  * Swedish (Daniel Nylander)
  * Ελληνικά, Σύγχρονα (Tom Tryfonidis)
  * עברית (Yosef Or Boczko)

 New or updated manual translations:

  * Czech (Marek Černocký)
  * Greek (Maria Mavridou)
  * Swedish (Daniel Nylander)

version 3.3.3
-------------

 New features and user visible changes:

  * Allow to apply the embedded color profile for jpeg images.
  * New image tools: special effects; curves.
  * Unified 'equalize histogram' and 'adjust contrast': show a preview of the
    various contrast filters.
  * Grayscale tool: show a preview of the different filters.
  * Fixed the interface style when used with gtk+ 3.14
  * File propery view: use a switcher; added a details page that show all the
    metadata, show only the important exif fields in the properties page.
  * UI changes to the preferences dialog: use a sidebar instead of a notebook
    to avoid a large dialog with some translations; better spacing; removed
    the Ok button.
  * Video player: save the screenshot without showing the dialog. Allow to set
    the screenshots location in the extension preferences dialog. Show a message
    in the statusbar after saving.
  * Gear menu: use the new icon if using gtk+ 3.13 or newer

 Bugs fixed:

  * video player: do not hide the mediabar when using the volume control
  * Forbidden when trying to upload to Flickr (#732557)
  * Build against either webkit2gtk-3.0 or webkit2gtk-4.0 (Dominique Leuenberger)

 New or updated application translations:

  * Basque (Iñaki Larrañaga Murgoitio)
  * Brazilian Portuguese (Rafael Ferreira)
  * Chinese/Traditional (Cheng-Chia Tseng)
  * Czech (Marek Černocký)
  * Español; Castellano (Daniel Mustieles)
  * Finnish (Lasse Liehu)
  * Hungarian (Balázs Úr)
  * Indonesian (Andika Triwidada)
  * Polish (Piotr Drąg)
  * Serbian (Мирослав Николић)
  * Serbian (Miroslav Nikolić)
  * Swedish (Daniel Nylander)
  * עברית (Yosef Or Boczko)

 New or updated manual translations:

  * čeština (Marek Černocký)

version 3.3.2
-------------

 Bugs fixed:

  * Allow the user to edit tags using the contextual menu also (#728467)
  * Special directories: added DOWNLOAD, removed DESKTOP (#728445,#728446)
  * Web album: fixed thumbnail size (#727775)
  * Desktop background: use the stretched option in some cases (#726708)
  * Make copy and paste in same folder equivalent to duplicating
    (#722726)
  * Can view tiff files, but can not print. (#726260)
  * image viewer: use a smaller frame border (#726091)
  * Extra image appears in image viewer (#722631)
  * Added AppData file for GNOME Software Center (#722770)
  * Ctrl+P doesn't work (#722707)
  * Script editor: help buttons don't work (#722925)
  * Toolbox: Fix the undo and the redo symbols in RTL (Yosef Or Boczko)
    (#723542)
  * Sharpen: Fix the undo symbols in RTL (Yosef Or Boczko) (#723542)
  * Rotate image: Fix the undo symbols in RTL (Yosef Or Boczko)
    (#723542)
  * Adjust colors: Fix the undo symbols in RTL (Yosef Or Boczko)
    (#723542)
  * Updated obsolete info in license text. updated using a script
    written by Andika Triwidadan (#721455)
  * gThumb doesn't honour privacy settings (#722349)
  * Remove unnecessary gdkx.h include from gth-screensaver. (Robert
    Roth) (#597594)
  * Use unity-control-center if in Unity (Rober Ancell) (#722233)
  * Fix build failing without libtiff installed. (Robert Roth) (#722183)
  * Cannot Save As with uppercase .JPG (#721281)

 New or updated application translations:

  * Brazilian Portuguese (Rafael Ferreira)
  * Czech (Marek Černocký)
  * Deutsch (Christian Kirbach)
  * Español (Daniel Mustieles)
  * Hungarian (Balázs Úr)
  * Indonesian (Andika Triwidada)
  * Italiano (Gianvito Cavasoli)
  * Lietuvių (Aurimas Černius)
  * Polish (Piotr Drąg)
  * Serbian (Miroslav Nikolić)
  * Serbian (Мирослав Николић)
  * Greek (Dimitris Spingos (Δημήτρης Σπίγγος))
  * עברית (Yosef Or Boczko)

 New or updated manual translations:

  * Greek (Dimitris Spingos (Δημήτρης Σπίγγος))
  * Español (Daniel Mustieles)
  * čeština (Marek Černocký)

version 3.3.1
-------------

 New features and user visible changes:

  * Use a GtkHeaderBar instead of a menu and a toolbar.
  * Use the dark theme.
  * Better raw image support, using libraw instead of libopenraw.
  * Image viewer: show a frame around the image; use an overview
    window to scroll the image instead of the scrollbars;
    better quality for zoomed out images.
  * Faster image loader for big images.
  * Media player: hide the mediabar after a timeout.
  * Filterbar: added buttons to view the selections.
  * File properties: show only the basic properties, allow to
    show all of them.
  * Image tools: use a grid layout for the buttons
  * Use a separate dialog for the file tool options.
  * Use symbolic icons everywhere.
  * Added a custom tiff loader.
  * Add a rating-based filter. (Louis-Marie Mouton)
  * App menu: removed 'keyboard shortcuts'.
  * Histogram view: save and restore the scale type.

 Bugs fixed:

  * Help: fix calling help from withing the application. (Dominique Leuenberger) (#710573)
  * Fixed saving of TGA files
  * Fixed the video player stopping after saving a screenshot.
  * Rotating image destroys XMP and IPTC metadata (#719622)
  * Command line ignored for the second window (#712716)
  * Empty Options dialog after Canceling it once (#711788)
  * Buttons with label toolbutton1 and toolbutton2 in Bookmark window
    (#711777)
  * Default parameters for image resizing are misleading (Christian
    Krause) (#710479)
  * Fixed broken window layout with gtk+ 3.10 (#708800)
  * Find duplicates: fixed crash when using a predefined directory
    (Christian Krause) (#706697)
  * gThumb crashes when attempting to play a video. (Christian Krause) (#706343)
  * Flickr: allow to use a facebook or google account (#703534)
  * Thumbnail list: images drawn with wrong offset (#702538)
  * Facebook: fixed authentication.
  * configure: fixed unrecognized option --disable-libjson-glib
    (#696783)
  * Removed the use of many deprecated functions.

 New or updated application translations:

  * Brazilian Portuguese (Enrico Nicoletto)
  * catalan (Sílvia Miranda)
  * Czech (Marek Černocký)
  * Dutch (Hannie Dumoleyn)
  * Español (Daniel Mustieles)
  * Hungarian (Balázs Úr)
  * Indonesian (Andika Triwidada)
  * Italiano (Gianvito Cavasoli)
  * Japanese (OKANO Takayoshi)
  * Latvian (Rūdolfs Mazurs)
  * Lietuvių (Aurimas Černius)
  * Polish (Piotr Drąg)
  * Russian (Yuri Myasoedov)
  * Serbian (Miroslav Nikolić)
  * Serbian (Мирослав Николић)
  * Slovenian (Matej Urbančič)

 New or updated manual translations:

  * Español (Daniel Mustieles)
  * Slovenian (Andrej Žnidaršič)
  * čeština (Marek Černocký)

version 3.2.0
-------------

 New features and user visible changes:

  * added ability load xcf images
  * always use a dark background in the image viewer

 New or updated application translations:

  * Deutsch (Christian Kirbach)
  * French (Claude Paroz)
  * Hungarian (Balázs Úr)
  * Italiano (Gianvito Cavasoli)

 New or updated manual translations:

  * Deutsch (Mario Blättermann)
  * French (Bruno Brouard)
  * čeština (Marek Černocký)

version 3.1.4
-------------

 Bugs fixed:

 * Fixed creation of blur thumbnails for jpeg images

 New or updated application translations:

  * Brazilian Portuguese (Rafael Ferreira)
  * Español (Daniel Mustieles)
  * Lietuvių (Aurimas Černius)
  * Polish (Piotr Drąg)
  * Serbian (Мирослав Николић)
  * Serbian (Miroslav Nikolić)
  * Slovenian (Matej Urbančič)

version 3.1.3
-------------

 New features and user visible changes:

  * Fixed uploading to Facebook and all other web services.
  * Added ability to import photos from Facebook.
  * Save and restore the thumbnail list size.
  * Selections: pressing control-n (with n in 1,2,3) again goes back to the
    previous view.
  * Monitor all the expanded locations in the folder tree.
  * Show a progress dialog for long saving operations.
  * Added keybindings to delete files in catalog view: control+delete moves to
    trash; shift+delete deletes from disk.
  * Allow to delete the tags from the default tag list.

 Bugs fixed:

  * Web album export produces invalid HTML. (#691123)
  * Fixed thumbnail generation for rotated images.
  * Fixed the thumbnail style in gtk 3.6
  * Video viewer: fixed progress bar for gtk 3.6
  * webp: fixed build for Big-Endian systems

 Internal code changes:

  * Ported to GStreamer 1.0
  * Ported to libsecret

 New or updated application translations:

  * Chinese (Hong Kong) (taijuin)
  * Chinese/Traditional (taijuin)
  * Español; Castellano (Daniel Mustieles)
  * Hungarian (Balázs Úr)
  * Polish (Piotr Drąg)
  * Serbian (Саша Петровић)
  * Serbian (Saša Petrović)
  * Slovenian Translation (Matej Urbančič)
  * čeština (Marek Černocký)

 New or updated manual translations:

  * Español; Castellano (Daniel Mustieles)
  * Occitan (Yannig Marchegay (Kokoyaya))
  * Slovenian (Andrej Žnidaršič)
  * Swedish (Daniel Nylander)
  * čeština (Marek Černocký)
  * Ελληνικά (Sterios Prosiniklis)

version 3.1.2
-------------

 Bugs fixed:

  * Fixed images scaling producing black images.
  * Use gdk-3.0 to check the GDK target (#685674)

 New or updated application translations:

  * Latvian (Rūdolfs Mazurs)

version 3.1.1
-------------

 New features and user visible changes:

  * Added ability to load and save WebP images.
  * Allow to specify the format options when saving a file (can be disabled).
  * Save and restore the window maximized state, the filterbar status, the
    visited locations history and the viewer sidebar status.
  * Image viewer: use the dark background by default, and use a more neutral
    color instead of black.
  * Video viewer: save and restore the volume level.
  * Read system bookmarks from XDG_CONFIG_HOME/gtk-3.0/bookmarks. Fallback to
    ~/.gtk-bookmarks if the new file is not found. (#675401)
  * Use XDG_CACHE_HOME/thumbnails as thumbnail cache. Fallback to the old
    ~/.thumbnails directory if the new directory doesn't exists.
  * File list: align the caption to the left and use a smaller font.
  * Browser: show loading errors in the info bar instead of using a modal
    dialog.
  * Added automatic completion to the category entry.
  * Rotation tool: allow to rotate an image from -180 to 180 degrees.
  * Selections: allow to cut the files.
  * Added a menu item to hide/show the file properties.
  * Print: set a good default filename for the print-to-file operation.
  * Enhance colors: use a faster algorithm and rename to "Adjust Contrast".
  * Equalize histogram: use a faster algorithm.
  * Desaturate tool: added ability to choose the method to use, renamed to
    "Grayscale".
  * Removed the format chooser from the file dialog.
  * Added an high resolution application icon.
  * Add an application menu if used with GNOME Shell.

 Bugs fixed:

  * Fixed image quality when the zoom factor is smaller then 0.5. (#674159)
  * Do not make modal dialogs block other windows as well.
  * Find duplicates: remember the checked state when filtering the file
    list. (#679191)
  * Sort by name if the date is the same. (#676263)

 New or updated application translations:

  * Chinese (Hong Kong) (taijuin)
  * Chinese (simplified) (tuhaihe)
  * Chinese/Traditional (taijuin)
  * Czech (Marek Černocký)
  * Español (Daniel Mustieles)
  * Hungarian (Gabor Kelemen)
  * Indonesian (Andika Triwidada)
  * Italiano (Gianvito Cavasoli)
  * Latvian (Rūdolfs Mazurs)
  * Lietuvių (Aurimas Černius)
  * Polish (Piotr Drąg)
  * Slovenian (Matej Urbančič)
  * Greek (Tom Tryfonidis)

 New or updated manual translations:

  * Deutsch (Daniel Winzen)
  * Slovenian (Andrej Žnidaršič)

version 3.0.1
-------------

 Bugs fixed:

  * Resize images: correctly restore the last used width and height
    (#675498)
  * Preserve XMP lists when saving an image. (#674908)
  * Fixed loading of thumbnails after re-enabling thumbnails again.
  * Fixed mouse wheel navigation with the video viewer.
  * Added a man page.

 New or updated application translations:

  * French (Claude Paroz)
  * German (Christian Kirbach)
  * Russian (Yuri Myasoedov)

version 3.0.0
-------------

 Bugs fixed:

  * Metadata category names WON'T show translated strings (Jiro
    Matsuzawa) (#674033)
  * Selections: fixed keyboard shortcuts for some keyboard layouts. (#673872)
  * Fixed compilation without libjpeg.
  * Ignore extensions with a different API version.
  * Fixed file navigation with the mouse wheel with Gtk+ 3.4.0 or greater.
  * Fixed possible crash when changing location.

 New or updated application translations:

  * Czech (Marek Černocký)
  * Japanese (OKANO Takayoshi)
  * Norwegian/Bokmaal (Kjartan Maraas)

version 2.90.3
--------------

 New features and user visible changes:

  * Selections: fixed reordering of files; added command Alt+Shift+n to remove
    files from selection n; added a command to open the original folder; show
    an emblem when a file is added to a selection.

 Bugs fixed:

  * Require exiv2 version 0.21. since the code uses Exiv2::LogMsg (#673711)
  * Removed potentially dangerous strncpy (#672866)
  * Fixed possible crash when changing directory quickly.
  * Fixed possible crash after closing the context menu in the folder tree.
  * Fixed run-time warning when uninhibiting the screensaver.

 New or updated application translations:

  * Czech (Marek Černocký)
  * Español (Daniel Mustieles)
  * Lietuvių (Aurimas Černius)
  * Polish (Piotr Drąg)
  * Slovenian (Matej Urbančič)

 New or updated manual translations:

  * Slovenian Translation (Andrej Žnidaršič)

version 2.90.2
--------------

 New features and user visible changes:

  * Added a Location dialog to enter the path to display.
  * Copy/Move dialog: save the list of the last 10 choosed folders.
  * Added a tool to import the embedded metadata in the gThumb comment
    system.
  * Map view: added a scale on the map.

 Bugs fixed:

  * Thumbnail pane stays empty until directory change. (#672184)
  * Always compile the cairo png loader. (#671940)
  * Fixed compilation when libtiff is not available. (#671892)
  * Fixed error when compiling with gtk+ 3.3.18. (#671451)
  * Show "Moving" instead of "Copying" when moving a file.
  * Fixed some performance issues when updating thumbnails.
  * Fixed many memory leaks.

 New or updated application translations:

  * Slovenian Translation (Matej Urbančič)

version 2.90.1
--------------

 New features and user visible changes:

  * Added 'selections' as a more powerful way to select files.  Selections are
    similar to catalogs but their content is lost after closing the application.
    Use Alt-n to add files to selection n, and Control-n to view selection n,
    for n in the 1..3 interval.
  * High quality zoom for SVG images. Requires librsvg.
  * Comment and tags dialogs: allow to save the metadata without closing the
    dialog.
  * Added option to reuse the active window when opening files from an
    external application.
  * Allow to hide/show the file properties pane.
  * Allow to change the position of the file properties in browser mode.
  * Save the image keyworks in the Xmp.dc.subject tag as well.
  * Save the Exif.Image.Software tag only if the content was modified.
  * Sync the rating with the Xmp.xmp.Rating tag.
  * Video viewer: jump to the specified position when clicking on the progress
    bar.
  * Video viewer: use symbolic icons for the play button and the volume control.
  * Make the 'shrink wrap' command work for the video viewer as well.
  * Image viewer: hide the horizontal scrollbar in 'fit width' mode.
  * Image viewer: implemented the checked transparency.
  * Show the Edit button in browser mode as well.
  * Moved the location chooser above the file list.
  * Preferences: show the slideshow preferences in the viewer tab to save some
    horizontal space.
  * Use the PICTURES special dir as the default startup location.

 Internal code changes:

  * Ported to Gtk+ 3
  * Ported from GConf to GSettings. Automatically convert the GConf values.
  * Ported from libunique to GtkApplication.
  * Ported to libchamplain version 0.12.
  * Removed use of deprecated functions.
  * Use the G_DEFINE_* macros to define GObject classes.
  * Added a custom widget to display the thumbnail list instead of GtkIconView.

 New or updated application translations:

  * Czech (Marek Černocký)
  * Español (Daniel Mustieles)
  * Esperanto (Kristjan SCHMIDT)
  * French (Claude Paroz)
  * German (Christian Kirbach)
  * Indonesian Translation (Andika Triwidada)
  * Italiano (Gianvito Cavasoli)
  * Japanese (Jiro Matsuzawa)
  * Polish (Piotr Drąg)
  * Russian (Yuri Myasoedov)
  * Slovenian Translation (Matej Urbančič)
  * Swedish (Daniel Nylander)

 New or updated manual translations:

  * Deutsch (Mario Blättermann)
  * Español (Daniel Mustieles)
  * French (Claude Paroz)

version 2.13.91
---------------

 Bugs fixed:

  * Fixed iptc fields order in the print dialog. (#659820)

 New or updated application translations:

  * Español (Daniel Mustieles)
  * French (Bruno Brouard)
  * Norwegian/Bokmaal (Kjartan Maraas)
  * Slovenian (Matej Urbančič)

version 2.13.90
---------------

 Bugs fixed:

  * Added ability to import from and export to 23hq.com (#657269)
  * Web uploaders: update the progress bar during the upload; allow to cancel
    an upload.
  * Fixed selection of the destination folder in the import dialog.
    (#657557)
  * Fixed comment synchronization when a \r character is in the text.
  * Flickr importer: fixed import of photosets greater then 500 photos.
    (#648701)
  * Facebook uploader: allow to upload high resolution images. (#652216)
  * Fixed a crash when loading remote images.

version 2.13.3
--------------

        New features and user visible changes:

        * Added ability to import photos from a folder. This is equivalent to
          importing from a removable device, with the difference that the
          user can select a folder instead of a device.  Useful to reorganize
          by date or tag an old set of photos. (#452764)
        * Find duplicates: added ability to eliminate all the duplicates at
          once leaving only the newest or the oldest one. (#342887)
        * Show the current disk free space in the status bar.
        * Make the keyboard editing shortcuts work from the file list as well.
          When the file list or the image viewer are focused the user can use
          the following shortcuts to activate some editing tools:
          h: enhance; l: flip; m: mirror; r: rotate right;
          <shift>r: rotate left; <shift>c: crop; <shift>s: resize.
        * Resize image: added buttons to set to the original image size or the
          screen size (#639012)
        * Added "copy to" and "move to" commands in the folder list as well.
        * F2 renames the folder if the folder tree is focused (#448588)
        * Web albums: always use subfolders. removed the relative option from
          the dialog (#624334)
        * Allow %F (filename) and %C (comment) in Web Album headers and
          footers (#166579)
        * Adjust colors: added a preview check button to compare the image
          with the original (#566040)
        * Save and restore the settings in the change date dialog (#451803)
        * Added Ctrl+Q to close all the windows.
        * Automatically select the last viewed file on startup if "Go to last
          visited folder or catalogue" option is active.
        * Ask confirmation before deleting a command/script (#627475)
        * Increased the number of preloaded images. preload the next 4 and the
          previous 4 images, instead of the next 2 and the previous one.
          (#564017)
        * Improved insertion of files in catalogs: when using the paste
          command the files are inserted after the last selected file;
          when using drag&drop the files are inserted in the current position
          as when moving files inside a catalog. (#371697)
        * Added "gThumb" to the window title (#627159)

        Bugs fixed:

        * Do not allow the user to create catalogs with a / in the name (#652482)
        * Progress dialog: set the task description as dialog title if the
          main window is hidden (#628769)
        * Web album: simplified code and fixed a memory leak (#644970)
        * Fixed crash opening an image from command line (#654241)
        * Use the FSF web site instead of the address in gthumb.h (#652027)
        * Disabled refresh in viewer mode (#627183)
        * Resize tool: reset size to sensible defaults when switching between
          % and pixels (#622427)
        * EXIF tags listed more than once when disabling and then re-enabling
          the EXIF extension (#621454)
        * Give the focus to the viewer after changing the image (#595575)
        * Image rotation: show the correct progress fraction and current file
          name in the progress dialog (#594796)
        * Copying or moving a file will copy or move its XMP sidecar as well
          (#581641)
        * Web albums: fixed hotkeys binding in the main dialog (#575176)
        * Contact sheet: fixed some hotkey bindings in the main dialog
          (#575171, #575170)
        * Resize images: bind width and height if size is expressed in
          percentage and keep ratio is active (#564827)
        * Exclude hidden folders from search result when view->hidden files is
          not active (#502524)
        * Fixed crash when going fullscreen with no image in the file list

        New or updated application translations:

        * Español (Daniel Mustieles)
        * Estonian (Rene Pärts)
        * Hungarian (Gabor Kelemen)
        * Norwegian/Bokmaal (Kjartan Maraas)

        New or updated manual translations:

        * Basque (Iñaki Larrañaga Murgoitio)
        * Deutsch (Christian Kirbach)

version 2.13.2
--------------

        New features and user visible changes:

	* Added a sharpen tool.
	* Added a tool to rotate images of any degree. (Stefano Pettini) (#627563)
        * Added "copy image to clipboard" and "paste image from clipboard".
        * Added a map view to view the geographical position where the picture
          was taken.
	* Added tool to delete files metadata.
	* Disable the screensaver when playing videos or slideshows.
	* Crop: added ability to maximize and center the selection.
	* Rename series: added a dialog to edit the filename template.
	* Resize images: added ability to select the file format.
	* Slideshow: make the animations smoother.
	* Moved the extensions activation in the preferences dialog.
        * Pressing the delete key in a catalog removes the file from the
          catalog instead of deleting the file from disk (#623620)
	* Image selector: show the active resize grip.
	* Red eye removal: exit from the tool only when the ok button is clicked.
	* Added VIDEO and DESKTOP directories to the entry point list.
	* Added the entry points to the bookmark menu as well.

        Bugs fixed:

	* Fixed crash when closing a window while the video viewer is active.
	* Webalbums: fixed progress dialog not showing again after the first
	  exporting.
        * Rename series: speed-up dialog appearance. (#645515)
        * Image selector: maximize the selection size when the pointer is out
          of the image bounds. (#644346)
        * Image selector: do not paint the darker background when dragging, in
          order to speed-up selection moving. (#644344)
	* Find duplicates: do not allow to select more than a file.
	* Fixed error when enabling/disabling thumbnails very fast.
        * Fixed renaming of files when the new name is entered quickly.
	* Correctly display images with wrong extension name.
	* Fixed the desktop background setting with GNOME 3.0 or higher.
        * Fixed adjust-time tool not changing minutes and seconds. (#651297)

	Internal code changes:

	* Use cairo_surface to store data instead of GdkPixbuf to speed-up
	  image loading and visualization.
	* Made the libunique library dependency optional.
	* Ported to GTK+ 2.24 with all deprecated API disabled and GSEAL enabled.
	* Change 'make dist' to create tar.xz files.

        New or updated application translations:

        * Español (Daniel Mustieles)

        New or updated manual translations:

        * German (Christian Kirbach)

version 2.13.1
--------------

        New features and user visible changes:

        * New tools: contact sheet creator, find duplicates.
        * Print: allow to specify the number of rows and columns; allow to
          specify the header and the footer of the pages.
        * Added "Copy to" and "Move to" commands to copy or move files to
          another directory.  You can still accomplish the some task using the
          Copy/Cut/Paste commands.
        * Re-added the 2.10 semi-trasparent property box in fullscreen mode.
          The 'i' key shows/hides the property box.
        * Re-added ability to view file comments in the file list.
        * Preferences dialog: added option to specify the file extension to
          use when creating jpeg and tiff files.
        * Added an histogram view to the sidebar.
        * Added ability to drag files with the middle mouse button to allow
          the user to choose the action to perform.
        * Allow to rename the files in a catalog.
        * Added ability to move catalogs with drag&drop.
        * Change date tool: added the ability to shift dates by any offset.
          (Thomas Bouffon) (#632298)
        * Edit metadata dialog: added 'Iptc.Application2.ProvinceState' field
          to the 'Other' tab (Matthew Geier) (#630279)
        * Convert and resize: allow to specify a destination folder even when
          the images are from a catalog.
        * Video player: allow to change playback speed when paused.
        * Slideshow: show the paused sign centered on the screen and hide it
          after a second.
        * Crop tool: added a new grid mode to view the center lines of the
          current selection.
        * Added ability to search and filter files with a single tag. (#633884)
        * Always use the same height for the thumbnails.  This allows to avoid
          scroll jumps when loading the thumbnails listed before the currently
          visible ones.
        * Changed the thumbnail style: use rounded corners.
        * Added a comment filter that ignores automatic camera comments such as
          "SONY DSC", "OLYMPUS DIGITAL CAMERA", etc.

        Bugs fixed:

        * Do not check if there is a thumbnail for thumbnail files. (#635948)
        * Correctly activate the default extensions when started the first
          time. (#635475)
        * Lack of the "selected" word in status bar. (#628098)
        * Compile with -fPIC -DPIC.  Re-applied patch from bug #572685.
        * Repaired sm-client support. (Josef Schmeisser)
        * Added focus stealing prevention code when launching an application.
        * Make PgUp/PgDown navigation work when started in fullscreen mode.
          (#642848)
        * Do not add a entry point if already present. (#627153)
        * The same bugfixes of the 2.12 series.

        New or updated application translations:

        * Chinese (Hong Kong) (Chao-Hsiung Liao)
        * Chinese (simplified) (lainme)
        * Chinese/Traditional (Chao-Hsiung Liao)
        * Danish (Joe Hansen)
        * Deutsch (Mario Blättermann)
        * Español (Daniel Mustieles)
        * Estonian (Rene Pärts)
        * Indonesian Translation (Andika Triwidada)
        * Russian (Yuri Myasoedov)
        * Swedish (Daniel Nylander)

        New or updated manual translations:

        * Español (Daniel Mustieles)
        * German (Mario Blättermann)

version 2.12.0
--------------

        Bugs fixed:

        * Do not make catalogs depend on search to fix a circular dependency.
          (#630311)
        * Fixed multi date update when set to 'date photo was taken'. (#630016)

        New or updated application translations:

        * Deutsch (Mario Blättermann)
        * Indonesian (Andika Triwidada)
        * Lietuvių (Aurimas Černius)
        * Punjabi/Panjabi (A S Alam)

version 2.11.92
---------------

	New features and user visible changes:

	* Slideshow: use the same keyword shortcuts used in fullscreen mode:
	  space to load the next image; backspace to load the previous image;
	  F5 and q to exit the slideshow; p to pause the slideshow.
	* Display a pause symbol when the slideshow is paused (#627529)
	* Emit a beep when there is no next or previous file.
	* Do not load non-visible thumbnails for web albums to save bandwidth.

	Bugs fixed:

	* Fixed 2.10 catalogs migration.
	* Improved image loading speed by loading the file before loading the
	  metadata.
	* Importer: fixed big memory consumption when importing videos.
	* Fixed some loading errors when quickly changing images.
	* Fixed grid not visible in crop tool when using cairo >= 1.9.2
	* Fixed generation of thumbnails when an external script is used.
	* Fixed crash when closing the main window and a directory loading is
	  underway.
	* Fixed visual glitches when scrolling an image.
	* Fixed crash when changing video in fullscreen mode.

	New or updated application translations:

	* Czech (Marek Černocký)
	* Español (Daniel Mustieles)
	* Finnish (Miika Laaksonen)
	* French (Bruno Brouard)
	* Italian (Paolo Benvenuto)
	* Slovenian Translation (Andrej Žnidaršič)

	New or updated manual translations:

	* Español (Jorge González)

version 2.11.91
---------------

        Bugs fixed:

        * Remember the inverse sorting option. (#628205)
        * Allow to print a modified image. (#595654)
        * Translate the selection type in the filter editor. (#627532)
        * Allow to create tags with spaces. (#628081)
        * Hide and disable some browser related commands in viewer mode.
          (#627534)
        * Fixed crash when changing the sorting order very fast. (#628071)
        * Fixed a crash when resizing many images. (#627688)
        * Fixed crash when saving comments. (#627929)
        * Fixed crash when closing the window. (#627535)
        * Export to PicasaWeb: show an error message if the authentication
          fails; allow to select another account if more then one is
          present. (#627531)
        * Allow to compile with libbrasero 3. (#627646)
        * Fixed the "save only modified fields" option in the comment dialog
          (#627439)
        * Fixed strings marked as translatable but not translated. (#627532)
        * Translate the property names in the property view.
        * Fixed the size of the vertical thumbnail pane: make the thumbnail
          pane big enough to avoid to scroll horizontally when its orientation
          is vertical
        * Fixed image viewer scrolling. (#627466)
        * Fixed saving of IPTC keyworks. Added support for multiple Xpm and
          Iptc metadata with the same key. (#627096)
        * Fixed saving of the 'Other' tab fields in the metadata dialog.
          Specify the type of the fields to allow to create them if they are
          not already present in the image. (#627231)
        * Allow to select non-local folders in the resize and convert tools
          (#627122)
	* More user's manual updates.

        New or updated application translations:

        * Chinese (simplified) (lainme)
        * Czech (Marek Černocký)
        * Danish (Joe Hansen)
        * Deutsch (Mario Blättermann)
        * Español (Jorge González)
        * Slovenian (Andrej Žnidaršič)

        New or updated manual translations:

        * Español (Jorge González)

version 2.11.90
---------------

	New features and user visible changes:

	* Slideshow: added ability to view the images in random order (#621244)
	* Change date tool: allow to set the date without touching the time
	  (#622245)
	* Video player: display the video speed in the status bar and allow
	  to change speed from 0.03 to 36.0 (#624454)
	* Removed the "do not change folder" option from the preferences dialog
	  as it was useless.
	* Added ability to organize files by tag: the organize command can
	  organize files by tag, creating a catalog for each tag found in the
	  scanned images.
	* The "fit window to image" is now a toggle action. (#617488)
	* Added two orientation tools: added tool to physically rotate the
	  images according to their embedded orientation; and a tool to reset
	  the embedded orientation without rotating the images.
	* Removed the preferences button from the import dialogs: instead of
	  the overwrite option just use the overwrite dialog when a file is
	  going to be overwritten; the rotate option is used only when
	  importing from a device and is set in the general preferences dialog.
	* New application icon.

	Bugs fixed:

	* Fixed escaping of UTF-chars in ui file (Gabor Kelemen) (#626990)
	* Fixed comment lost when upgrading from 2.10 to 2.11. (#626893)
	* Fixed unnecessary reloading when setting a filter (#625937)
	* Fixed saving of Xmp and Iptc description and title fields (#626284)
	* Fixed catalog reordering when the catalog is sorted and/or filtered
	  (#619442)
	* Fixed crash in fullscreen mode when viewing an image after a video.
	  (#626686)
	* Activate the web album extension b default.
	* Correctly hide and show the mouse pointer in the video player.
	* Fixed search test when the "match any" option was active.
	* Flicker importer: fixed crash when the image url is not found

	New or updated application translations:

	* Czech (Marek Černocký)
	* Deutsch (Mario Blättermann)
	* Español (Jorge González)
	* Slovenian (Andrej Žnidaršič)

	New or updated manual translations:

	* Español (Jorge González)
	* German (Mario Blättermann)

version 2.11.6
--------------

        New features and user visible changes:

        * Added ability to sort by path (#625610)
        * Crop tool: allow to force dimesions as multiple of 8 or other sizes
          (#622385)
        * Convert the old catalogs to the new format and location (#618302)
        * Show an information dialog after creating a web album. from the
          dialog allow the user to open the web album in the browser, or to
          view the destination folder with the file manager. (#624264)
        * [desktop_background] added ability to reset or open the preferences
          After setting a desktop background an info-bar is displayd at the
          bottom of the window to allow the user to reset the previous
          background or to open the background preferences.

        Bugs fixed:

        * Ignore hidden files and directories when importing files (#624579)
        * [importer] do not overwrite files with the same name (#624932)
        * [webalbums] rotate the destination file instead of the original file
          (#623906)
        * Fixed crash on paste. (#625187)
        * Fixed lossless rotation with libjpeg8. (#612809)
        * Remove the action group when a page is deactivated (#596906)
        * Do not link to the exiv2 extension if it's not built  (#624326)
        * Preserve the exif data after a lossless rotation
        * Removed use of the gdk_draw_* functions, always use cairo instead.

        New or updated application translations:

        * Deutsch (Mario Blättermann)
        * Español (Jorge González)
        * French (Claude Paroz)
        * Norwegian/Bokmaal (Kjartan Maraas)
        * Slovenian Translation (Andrej Žnidaršič)
        * Swedish (Daniel Nylander)

        New or updated manual translations:

        * Español (Daniel Mustieles)

version 2.11.5
--------------

	New features and user visible changes:

	* Added ability to add a tag to the selected files from the context
	  menu.
	* Added ability to assign a keyboard shortcut to a script.
	* Added ability to sort by image/video dimensions (#619299)
	* Added ability to search/filter by modified/original date (#623159)
	* Added other keyboard shortcuts.
	* Slideshow: added PageDown and PageUp as navigation keys (#623599)
	* Added the list of tags to the tag filter control.
	* Automatically select the catalog after creating it.
	* Use the non-clutter projector when no effect is selected.
	* Other updates to the user's manual.

	Bugs fixed:

	* Accessing exiv2 "pretty print" needs pointer to the metadata
	  container (grm1209) (#623995)
	* Facebook plugin issues: automatically select a newly created
	  catalog; apply embedded orientation before uploading; scale
	  images to have 720 pixels as max dimension (#623617)
	* Fixed crash when dropping an image to an empty Library (#619491)
	* Only include gdk-pixbuf.h as required by the latest gdk-pixbuf
	  (#623511)
	* Initialize all the info fields before registering (#620962)
	* Typing destination folder in preferences does not update it (#620765)
	* Cygwin support for 2.11 (#608115)
	* Fixed metadata write. (#623071)
	* Fixed crash when starting the slideshow with a folder without images.
	* Fixed crash when trying to print files that aren't images.
	* Fixed volume scale in the media player: allow to change the volume
	  from 0 to 200% instead of from 0 to 1000%
	* Fixed multiple selection with shift + mouse click.
	* Fixed a memory leak in the slideshow.
	* Fixed tiff image corruption when saving the metadata.

	New or updated application translations:

	* Czech (Marek Černocký)
	* Deutsch (Mario Blättermann)
	* Español (Jorge González)
	* French (Bruno Brouard)
	* Lithuanian (Žygimantas Beručka)
	* Slovenian (Andrej Žnidaršič)

	New or updated manual translations:

	* Español (Jorge González)

version 2.11.4
--------------

	New features and user visible changes:

	* Added a PhotoBucket exporter.
	* Added a static web album creation tool.
	* Allow to edit the metadata of many files at the same time.
	* Use a simple slideshow with no 3D effects if clutter is not available.
	* Added option to choose the thumbnail pane orientation.
	* Added drag&drop support to the folder tree. (#593431)
	* In slideshow mode, make button 1 view the next image and button 3
	  the previous image.
	* In the Crop tool added an optional grid. (Michael J. Chudobiak)
	  (#618026)
	* Added ability to select the aspect ratio in the Resize tool.
	* Added a share tool menu and the print command on the toolbar.
	* Allow to run gthumb even if clutter initialization fails.
	* Implemented the "confirm deletion" option. (#622386)
	* Avoid duplicates in the history. (#615442)
	* Expand parent after folder creation. (#616940)
	* Save and restore the options of "Rename files" dialog. (Christophe
	  Bisière) (#618182)
	* Save and restore the options of the Crop and Resize tools.
	* Move "Set as Desktop Background" item from "Tools" menu to
	  right-click popup menu. (Christophe Bisière) (#618430)
	* Added some aspect ratio in crop tools. (Stefano Pettini) (#587787)
	* Do not select the folder after right-clicking on it.
	* Updated the user's manual.  Migrated to Mallard. (Michael J. Chudobiak)

	Bugs fixed:

        * Fixed crash when using the red-eye removal tool. (#623000)
        * Use mtime to sort imported videos. (Matthias Hawran) (#619758)
        * Fixed crash when renaming and quickly hitting the Enter key. (#619352)
        * Removed unused DEFAULT_MAX_FILE_SIZE. (#616842)
        * Save the partial result of a cancelled search as well. (#617952)
        * Newly saved search does not immediately show up in the list of
          catalogs. (#618183)
        * Picasa export dialog too big Maximize on small resolutions (netbook)
          (Matthias Hawran) (#618262)
        * Set a minimum size for the file viewer to avoid a crash (#618442)
        * Fix some Gtk-CRITICAL messages generated by the list_tools extension
          (Christophe Bisière) (#618554)
        * Fixed "Overwrite all files" and "Do not overwrite any file" options
          (#617282)
        * Show a completed dialog after exporting to PicasaWeb. (#616782)
        * Generates thumbnails of on-camera videos much faster. (#617287)
        * Kill the script process as well when stopping the thumb loader
          (#614219)
        * Make gth_folder_tree_set_children() faster for big file lists
          (#611115)
        * Fixed crash after saving a crop with width or height of 1px.
          (Matthias Hawran) (#616454)

        New or updated application translations:

        * Czech (Marek Černocký)
        * Deutsch (Christian Kirbach)
        * Español (Jorge González)
        * Estonian (Rene Pärts)
        * French (Bruno Brouard)
        * Lietuvių (Aurimas Černius)
        * Low German (Nils-Christoph Fiedler)
        * Punjabi/Panjabi (A S Alam)
        * Slovenian (Andrej Žnidaršič)
        * Thai (Sira Nokyoongtong)

        New or updated manual translations:

        * Español (Jorge González)
        * Slovenian (Andrej Žnidaršič)

version 2.11.3
--------------

	New features and user visible changes:

	* Added an "Export to disc" tool, to burn files to optical discs.
	* Added a Flickr importer and exporter.
	* Added a Facebook exporter.
	* Save web account passwords in the GNOME Keyring if available.
	* Added option to avoid to store metadata in files. (#533819)
	* Added a thumbnail pane in viewer mode. (#533132)
	* Read the image thumbnail from the embedded metadata if available.
	* Organize extensions in categories.
	* Added a fade effect to the slide transition.
	* Make shift-click select a range of consecutive files. (#610419)
	* Use delete to move to trash and shift+delete to delete files. (#595763)
	* Updated the user manual.

        Bugs fixed:

        * Don't mark ids as translatable strings. (#615310)
        * Show the error dialog correctly, after a connection failure. (#614450)
        * Fixed listening to mount/unmount events. (#613875)
        * Use transupp 8 if libjpeg is version 8. (#612809)
        * Avoid thumbnail jumps. (#603642)
        * Fixed the default print font value. (#612629)
        * Use a better low quality zoom algorigthm. (#611812)
        * Allow to resize images larger than 10000 pixels. (#478990)
        * Fixed metadata lost after resize. (#610389)
        * Fixed crash when cancelling the export to disc operation. (#611456)
        * Reload the thumbnails when enabled again. (#610873)
        * Fixed crash when clicking Apply with no changes in the adjust colors
          tool. (#611156)

        New or updated application translations:

        * Basque (Iñaki Larrañaga Murgoitio)
        * Chinese (simplified) (Zhang Miao)
        * Danish (Joe Hansen)
        * Deutsch (Mario Blättermann)
        * Español (Jorge González)
        * Estonian (Rene Pärts)
        * Finnish (Miika Laaksonen)
        * Low German (Nils-Christoph Fiedler)
        * Norwegian/Bokmaal (Kjartan Maraas)
        * Slovenian Translation (Andrej Žnidaršič)
        * Swedish (Daniel Nylander)
        * Ukrainian (Maxim Dziumanenko)

        New or updated manual translations:

        * Español (Jorge González)
        * German (Christian Kirbach)
        * Simplified Chinese (Zhang Miao)

version 2.11.2.1
----------------

	Bugs fixed:

	* Fixed build error. (#610742)

        New or updated application translations:

        * Estonian (Rene Pärts)

version 2.11.2
--------------

	New features and user visible changes:

	* Added the "convert format" tool, the "change date" tool, the
	  "resize image" tool.
	* Added a Picasa Web importer and exporter.
	* Added ability to specify a list of audio files to play during a
	  slideshow, and to personalize the slidehoshow options for each
	  catalog.
	* Create the "command line" catalog if more than a file is specified
	  at command line.
	* Photo importer: always use the "Last imported" special catalog
	  instead of creating a new catalog for each import operation;
	  added ability to specify a custom format, the custom format consists
	  of the strftime format plus the %E code which is used to specify the
	  event name.
	* Rename files: added %D and %M for file dates; allow to specify a
	  custom date format; use %A instead of %attr for the generic attribute.
	* Resize tool changes: added ability to specify a destination
          folder; ask confirmation before overwriting a file. (#605914)
	* Wrap the file captions if they don't fit the available space. (#594134)
	* Allow to disable comment synchronization with embedded metadata.
          (#604720)
	* Allow to view an image directly in fullscreen mode double-clicking
	  with the middle mouse button.
	* Changed some key accelerators: control+delete to move the
	  selected files to the trash; control+shift+delete to delete the
	  selected files.
	* Used a preloader to speed-up image loading during a slideshow.
	* Added icons to the image tools.

        Bugs fixed:

	* Fixed double-click that sometimes doesn't open the viewer.
	* Fixed saving of tiff files when there is an alpha channel (#610388).
	* Fixed some focus issues (#608364, #608364).  Give focus to the file
          list by default (#608364).
	* Do not delete the metadata after rotating or resizing images (#610389)
	* Show a warning if no file was imported, or the delete operation is
          not supported (#610190)
	* Fixed not refreshed images after rotation (#610091).
	* Fixed importer failure if the delete operation is not supported (#610090)
	* Added missing modules and libraries to LIBADD (#608710)
	* Fixed crash when deleting files (#608717)
	* Make the code compile with the sunstudio compiler (Jerry Tan) (#608660)
	* Fixed crash on mouse wheel move (#608463)
	* Corrected minor spelling and grammar mistakes in the documentation
          (Christian Kirbach) (#597353)
	* Added a --disable-deprecated option to configure to disable
          deprecated API usage. (#607757)
	* Use a "command line catalog" if more files are specified on the
          command line (#606203)
	* Fixed crash when loading a file from a location which is not
          the current location. (#606205)
	* Fixed missing extension linking. Some extensions were "underlinked".
          (Fryderyk Dziarmagowski) (#606507)
	* Fixed slideshow crash.
	* Do not ignore CFLAGS. (Matthias Clasen) (#606227)
	* Use the default data dir instead of hardcoding the gthumb-2.0 value
          (#606052)
	* Modernized autotools syntax as suggested by autoupdate.
	* Activated silent rules by default.

	New or updated application translations:

	* Español (Jorge González)
	* Estonian (Rene Pärts)
	* Italian (Luca Ferretti)
	* Russian (Nickolay V. Shmyrev)
	* Slovenian Translation (Andrej Žnidaršič)
	* Swedish (Daniel Nylander)

	New or updated manual translations:

	* Español (Daniel Mustieles)

version 2.11.1
--------------

	New features and user visible changes:

	* Added a video/audio player.  Added ability to take a screenshot of
	  the current video.
	* Allow to edit IPTC/XMP fields.
	* Added 3D effects to the slideshow transition.
	* Use a tree view for the folders.
	* Catalogs are listed in the folder tree instead of using a different
	  pane.
	* Allow to create custom file filters.  Allow to view any kind of file
	  not just images, audio and video files.
	* Allow to search files in the libraries (catalog collections).
	* Added tool to automatically organize files in catalogs, based on
	  the file creation or modification date.
	* Allow to choose the metadata to display in the file list.
	* The cut and red-eye removal tools are now integrated in the image
	  viewer, instead of using a separate dialog.
	* Added an "Adjust colors" tool to modify the colors of an image in
	  single place.
	* Group imported files by date, automatically creating a catalog for
	  each different date, furthermore creates a catalog with all the
	  imported files.
	* Removed the Tools menu, the file list tools are now listed in a
	  toolbar dropdown button.
	* Allow to add files to catalogs using the context submenu, instead of
	  using a separate dialog.
	* Use a context submenu to open a file with an external application
	  instead of using a separate dialog.
	* Allow to set a custom name for the bookmark menu items.
	* Added a delete command to permanently delete files without moving them
	  to the trash.
	* Allow to choose the metadata to print, instead of just allowing to
	  print the comment.
	* Moved the system bookmarks in the Bookmarks menu.
	* Allow to set the file type specific options in the preferences dialog
	  instead of always asking them before saving a file.
	* The image properties are displayed in a sidebar, no more at the
	  bottom of the image.
	* Removed the Image menu. Image tools are now listed in a sidebar
	  when the image viewer mode is active.
	* Allow to set a title and a date for the catalogs.
	* Searches are updated in place, without the use of a separate dialog.
	* Removed the script menu, and moved the scripts in a toolbar dropdown
	  button. Simplified the script editor tough it still requires some
	  advanced skill to be used.
	* Started work to use modern icons. New Tango-ized application icon
	  by Ulisse Perusin.

	Technical changes:

	* Rewritten the whole code in order to use an extension (or plug-in)
	  based architecture that allows to add new features with ease.
	* Removed the use of old and deprecated libraries such as gnome-vfs,
	  libgnome, libgnomeui, libgnomecanvas, libbonobo and many others.

	Regressions:

	* Some tools, present in the 2.10 series, are missing because of the
	  complete code rewrite.  Some of these tools are considered important,
	  such as the web album exporter, and will be added during the 2.11
	  development series, other secondary tools will added in the next
	  development cycle (2.13).

version 2.10.12
---------------

	Bugs fixed:

	* Made the OK button the default widget in the rename dialog.
	* The existing import scripts did not properly unmount gvfs-mounted
        cameras. Gnome bug #560352, Ubuntu bug #351122.
	* Fixed various small memory leaks, bug #578282.


version 2.10.11
---------------

	* The "g" key now launches the "gimp" command, instead of the
	  deprecated "gimp-remote" command.
	* Added a new gthumb-import.desktop.in file to handle gvfs-mounted
          cameras more elegantly. The camera is first unmounted, and the
          libgphoto import routines are then run. Bug #560352.
	* Modified the build files to better support gtk on MAC OS / Quartz.
	  Bug #551225.
	* Provide support for the Mac OS X menubar. Bug #554240.

version 2.10.10
---------------

        New features and user visible changes:

        * Added ability to hide video and audio files, using the gconf key
          /apps/gthumb/browser/show_only_images.

        Bugs fixed:

        * #552453: gthumb 2.10.9 contains COPYING for GPL v3
        * #546383: gthumb 2.10.9 fails to link Patch by Götz Waschk.
        * Do not exclude xcf images from the file list.

version 2.10.9
--------------

	* Fixed bug #508873 - gthumb cannot scale up images
	* Fixed bug #510326 - x-content/* support
	* Fixed bug #510521 - Canceling Save stops movement between pictures
	* Fixed bug #477285 - Hitting enter in Open Location Dialog while
	  text entry is focused does nothing
	* Fixed bug #512374 - array accessed past end.
	* Fixed bug #543584 - fix build with libgphoto2 2.4.2
	* Fixed bug #544893 - Crash in web album <gthumb:if/>

version 2.10.8
--------------

	* If the directory doesn't exists go to the closest existing parent.
	  Fixes bug #495575 – infinite loop when browsing deleted dirs
	* Fixed bug #Bug 498741 – gthumb always saves thumbnails despite the
	  gconf option in apps -> gthumb -> browser -> save_thumbnails set
	  to "false"
	* Fixed bug #500719 – segfault when canceling batch operations
	* Fixed bug #486886: Crash opening an image with no Exif IFD1
	* Fixed bug #487982: can freeze gthumb during printing
	* Fixed a printing crash, g_free -> gtk_paper_size_free
	* Fixed bug #492111: Doesn't rotate pictures while importing
	* Fixed bug #492262: Rotate removes thumbnail
	* Fixed bug #492260: Crash on rotate on x86_64
	* Fixed bug #492169: Crash when moving directory to trash
	* Fixed bug #492370: monitor name conflict with libc on solaris10
	* Fixed exif tag read/write functions, so they can access 32-bit
	  values correctly on 64-bit platforms
	* Fixed bug #476989: gthumb doesn't move images if destination
	  directory is selected from folder drop down list
	* Fixed bug #495529: Search not working
	* Fixed bug #498995: gthumb gets it's locking wrong and crashes
	* When sorting by exif time, fall back to sorting by mtime if no
          exif time is present.
	* Fixed bug #438027: cancel isn't honoured in "reset exif orientation"
	  progress dialog or rotation-tool dialog
	* Fixed bug #499795: silently fails to save bmp picture
	* Fixed bug #496140: Crop Window opens too large for dual-screens

version 2.10.7
--------------

	* Fixed bug #481729: Crash browsing thru images when one is empty.
	* Fixed bug #482751: gthumb crashes if it cannot find cursor.
	* Fixed bug #485721: Crash in fullscreen mode after deleting an image.
	* Fixed bug #471234: Fix build with gcc 2.x
	* Fixed bug #485998: '[' and ']' don't work in fullscreen anymore.
	* Fixed Ubuntu bug #152246: gThumb does not allow to change
	  picture's "Last modified date" to "Photo digitalization date
	  (from EXIF data)"

version 2.10.6
--------------

	* Fixed bug #450675. Should delete the thumbnails of deleted files
	* Fixed bug #453986. Check for invalid unicode in embedded comments.
	* Fixed bug #454037. Invalid free when selecting Print in the menu.
	* Fixed bug #454489. Theme uses the wrong captions in the thumbnails.
	* The default import folder was not properly set to the correct XDG
	  "PICTURES" folder. Fixed.
	* Fixed bug #455911. Symlink/vfs problem (Ubuntu bug 109579).
        * Much faster loading of exif DataTime tags. This provides faster
          folder loading in the sort-by-DateTime mode.
	* Preload more thumbnails into memory in browser mode. Bug #457529.
	* Fixed bug #457685. Sort by Exif DateTime broken in list mode.
	* Show preview pane by default. Bug #452833.
	* Show filenames by default. Bug #452831.
	* Fixed Ctrl+H (show/hide hidden files) function.
	* Add/fix a busy cursor when loading folders and preloading the
	  selected image.
	* Fixed bug #439043. Preview area always shows last selected image.
	* Fixed bug #457936. Names with '#' character break rotation.
	* Fixed bug #446792. gThumb deletes pictures on failed import.


version 2.10.5
--------------
        * Fixed bug #448644 - Image brightness-contrast doesn't trigger
          save-ability.


version 2.10.4
--------------

        * Fixed Bug 432759 - update of the thumbnail index when files are
          added. Properly generates thumbnails for slowly generated files
          (e.g., files from a slow scanner, or oscilloscope images sent
          over a serial port).
        * Deleted unused functions: thumb_loader_get_max_file_size,
          thumb_loader_get_path, thumb_loader_set_uri, thumb_loader_get_uri,
          thumb_loader_get_image_loader.
        * When generating a new thumbnail, scale the image only if the
          original size is larger than the requested size.
        * Fixed Bug #440036 - index image maps are not xhtml compliant
	* Fixed Bug #438716 - IPTC comments are not seen by Picasa
	* Fixed Bug #444656 - write folders to CD does not work
	* Fixed Bug #446133 - Add PPM to supported types during import
	* Fixed Ubuntu bug 119769 - Escape angle brackets in filenames
	* Fixed Bug #447311 - g_thread_init warning when starting gthumb


version 2.10.3
--------------

	Bugfixes:
	* New shortcuts: Alt+S scaling, Alt+C cropping, Alt+R redeye removal.
	* New keybinding: keypad-* = zoom to fit. Bug 432700.
	* Makes PICTURES xdg-user-dir the default for import, bug #425365.
	* Try to extract embedded thumbnail from RAW images. Bug 431483.
	* Small memory leak fixed in web-exported error handling.
	* Small memory leak fixed in apply_transformation_jpeg.
	* Enable debug messages with an environment variable. Bug 361367.
	* Bypass libexif when writing tags, to avoid MakerNote corruption.
	  Bug #408185.
	* Don't list xcf files, no loader is available for them. Bug 433639.
	* Fixed bug 431838 - renaming with exif date and time doesn't work.
	* Fixed bug 432084 - Transient files confuse gThumb.
  	* When scaling down by a factor > 100, call gdk_pixbuf_scale_simple
          twice to avoid crashes, freezes. Related to bug 80925.
	* Added -w option to dcraw calls, to use the camera-specified
          white balance on raw images. Bug 431484.
	* Add support for ogg thumbnails. Bug 430777.
	* Run gtk-update-icon-cache in uninstall-hook, as per bug 362604.
	* Better code sharing: Use gdk_pixbuf_new_from_file_at_scale to load
	  jpeg thumbnails. Same speed as the old f_load_scaled_jpeg function.
	* Fixed a crash when a file has no recognized mime type. Bug 428278.
	* Fixed bug 407871 - Crash after deleting catalog file.
	* Check dimensions of all images types, not just jpegs, to avoid
          preloading giant tiff files. Bug 160460.
	* Fixed Bug 434445 - cache grows too large when viewing RAW files
        * Fixed Bug 434034 - improperly initialized GnomeVFSFileInfo instance.
        * Fixed Bug 434951 - Setting displayed date to exif date is disabled
          when the first selected image does not have exif data.
	* Fixed bug 435379. Add image/x-canon-cr2 to the list of known raw
	  photo mime types.
	* Fixed Bug 436872 - web export fails when image filenames contain
	  escapable characters
	* Fixed Bug 436881 - web export exports malformed xml
	* Fixed Bug 427986 - Navigating folder list with keyboard is difficult
	* Fixed Bug 438414 - crash when pressing e/r/l/m in empty folder


version 2.10.2
--------------
        Bugfixes:
        * Fixed bug #427868 - Import of photos cannot download RAW files
	* Return NULL if the dialog text entry is empty, instead of
          an empty string, to avoid creation of "no-name" catalogs
	* Fixed bug #423956 - Creating a web album at a ssh URI causes crash.
	* Fixed rotate-on-import function.
	* Fixed bug #423715 - Cancel pixbuf operation before closing the dialog
	* Fixed bug 427846 - Can't launch command line collections, and
	  crash when selecting "Catalogs" from the location bar.
        * Fixed a crash when a file has no recognized mime type. Bug 428278.

        Updated translations:
        Dzongkha (dz), French (fr), Brazilian Portuguese (pt_BR),
        Japanese (ja).


version 2.10.1
--------------
	Bugfixes:
	* The progess bar in the import dialog shows the overall download
	  progress now.  The delete operation is now asynchronous. (#156994)
	* Go to the destination folder when the 'go to destination folder'
	  option is active in the copy/move dialogs.
	* Fixed a bug that prevented the user to choose
	  'overwrite this image' or 'do not overwrite this image' options in
	  the overwrite dialog.
	* Fixed bug #420557 - View > Show/Hide > Toolbar is broken, no display
	* Fixed bug #414711 - thumbnail explosion if opening ~/.thumbnails
	* Do not add APPn and COM markers to the EXIF thumbnail. Bug 411861.
	* Fixed cache-pruning command on Solaris (bug 421787).
	* Added Alt+C for crop, Alt+R for resize.
	* Fixed problems resolving relative symlinks for ssh: URIs (#159884)
	* Fixed crash in search function when clicking "View". Bug #420788.
	* Fixed misdetection of CR2 files as TIFF files. Part of bug #421175.
	* Better search support for Unicode equivalencies. Bug 423272.
	* Normalize Unicode category names. Bug 423271.
	* Fixed bug #420614 - cancel async operation before closing importer

version 2.10.0
--------------
	Major bug fixes:
	* Fixed bug #414665 - Photo importer hangs and does not import photos
	* Fixed bug #389590 - List view not updated after file deleted

	Minor bug fixes:
	* Fixed bug #413595 - Add SVG to supported mime types?
	* Removed application-registry cruft.
	* Removed invalid menu categories in gthumb.desktop
	* Fixed bug #389872 - Incorrect initial cropping aspect ratio
	* Fixed bug #411861 - a JFIF marker is written, incompatible with EXIF
	* Fixed build with gcc 2 (#412444).
	* Fixed bug #407871 - Crash after deleting catalog file.
	* Fixed bug #98933 - Command Line collection should be deleted on
	  startup if no files are passed as arguments
	* Fixed bug #159884 - problems resolving relative symlinks with
	  reserved URI characters
	* Partly addressed bug #160460 - TIFF Image causes large memory
	  consumption

version 2.9.3
-------------
	New features:
	* Play audio clips using default external player

	Bug fixes:
	* Workaround for bug #329072 - gthumb doesn't display PCX image files
	* Fix for "image_loader_start" crashes. Bugs 351959, 386674 + dupes.
	* Fixed bug #378546 - Crash after exiting slideshow
	* Launch the registered video player instead of always launching "totem"
	* Use the default gtk+ overwrite confirmation dialog
	* Fixed bug #409799 - destroys file when double-clicking "Save" dialog
	* Fixed bug #347657 - Click on category text to checkmark a category
	* Fixed bug #346382 - False Positives in Catagory Search

version 2.9.2
-------------
	New features:
	* Added support for displaying gnome-vfs locations (bug #143197)
	* Added thumbnailing and player-launching for videos (bug #134366)
	* Added initial RAW photo support (bug #145564)
	* Added initial HDR photo supprt (bug #312896)
	* Added programmable hotkeys (numeric keypad 0-9)
	* Added the ability to manually specify photo print sizes
	* Added a filter bar, to limit displayed images

	Bug fixes:
	* Fixed bug #406092 - old image is displayed
	* Fixed bug #363643 - Shift+arrow expands selection, Shift+mouse doesn't
	* Fixed bug #354482 - Show "hidden" images.
	* Fixed bug #145334 - Folder list should respect .hidden files
	* Fixed bug #392632 - crash when repeatedly pressing Ctrl+E
	* Fixed bug #389870 - Add option to invert the crop aspect ratio
	* Fixed bug #361913 - greater efficiency during lossless rotates, etc
	* Removed the bonobo dependency, use gtkunique (bug #389197).
	* Reduced reported memory consumption - bug #310749.
	* Replace GnomeIconTheme with GtkIconTheme. Bugs #171593 and #396474.
	* Set manual sort mode for command line lists. Bug #326621.
	* Fixed bug #313562 - sort using same collation routines as Nautilus
	* Fixed bug #385605 - toolbar style: "text beside icons" doesn't work
	* Fixed bug #342994 - crossfading in slide shows should be optional
	* Fixed bug #335390 - "Find" should be "Search"
	* Fixed bug #389590 - update image after delete is broken.
	* Larger redeye preview area. Bug 389587.

version 2.9.1
-------------
	* Added red-eye removal tool (bug #140533).
	* Added mousewheel navigation (#131416).
	* New shortcut: press "g" to launch gimp.
	* New shortcut: press "i" for image info.
	* Added a zoom-to-width mode (#148971).
	* Removed filtering of Exif tags - all are shown now. Can display
	  GPS-related Exif tags now (#339648).  Added the ability to view
	  Exif "MakerNote" data (#339648).
	* Added "reset Exif orientation tag" tool (#361416)
	* Added proper support for the Exif orientation tag when importing,
	  rotating, and displaying JPEG images (#343867)
	* Added option to trim jpegs during transformations on images whose
	  dimensions are not multiples of the jpeg MCU, 8 (#361913)
	* Added sort-by-comment and by Exif DateTime (#373557, #167791).
	* Adds support for multiple auto-detected cameras, or
	  multiple modes for single cameras (#361967).
	* Enhancements to the crop dialog: added undo/redo support;
 	  allow to crop multiple times without exiting the dialog;
 	  allow to switch on/off the selection mask; zoom in/out with
 	  mouse wheel; zoom keeping the center of the image visible.
	* Allows file extension to be changed when bulk-renaming
	  (#338623 and #339037)
 	* Always use the rename series tool even to rename a single file
	  (#383439).
	* Added a new "BestFit" web album theme (#319933).
	* Include original filename in web-album image filenames (#173025).
	* New re-size options in web exporter to allow equal landscape and
	  portrait image sizes (#313671).
	* Added iso-code escaping of non-ASCII characters in web albums.
	* Migration to gnome-doc-utils (#346889).
	* Migrated from libgnomeprint to gtkprint (#362854).
	* Fixed comment wrapping when printing (#305046).
	* Fixed image scaling memory leak (#349576).
	* Replaced deprecated gnome_app functions (#171601).
	* Fixed bug #356623 - gth_location_new crasher.
	* More secure method of temporary file generation (#358894).
	* Removed the bonobo components.

version 2.7.9
-------------
	* Fixed bug #351058: build failure when -Wl,--as-needed is passed to
	  linker flags.
	* Fixed bug #350732: "loose" should be "lose"
	* Fixed bug #349556 - [PATCH] Little bug makes gThumb slower than it can
	  be.
	* Fixed bug #353390 – Fix default rotation angle in portrait print mode.
	* Fixed bug #353613 – Negative array access in get_extension.
	* Fixed bug #352747 – gthumb can't open folder through file selector.
	* Fixed compiler warnings.
	* Fixed compilation/installation errors when srcdir != builddir
	* Fixed bug #358326 – message: assertion `k < N_LOADERS'
	  failed
	* Fixed bug #358343 – web album: assertion `g_path_is_absolute
	  (local_full_path)' failed
	* Fixed bug #343982 – fix build with gcc 2.95
	* Fixed bug #355376 – "Help" shortcut should be "F1" instead of "Ctrl+H"

version 2.7.8
-------------
	* Set a smaller height for the progressbar to avoid an image resize.
	* Fixed memory deallocation bug that triggered random crashes.

version 2.7.7
-------------
	* Fixed bug #340406 - gthumb doesn't compain of nonexisting default
	  web-album theme.
	* Fixed bug #339645 - [2.7.5.1] caps-lock disables keyboard shortcuts
	* Fixed bug #339484 - Gthumb 2.7.5.1 doesn't store EXIF information in
	  JPEG files, when image is loaded directly
	* Fixed bug #339291 - "keep original filename" changes case
	* Fixed bug #339852 - index image maps creating wrong href
	* Fixed bug #340947 - gthumb -Wl,--as-needed patch

version 2.7.6
-------------
	* Always use the browser mode, added a --viewer command line option to
	  use the viewer mode for single images.
	* Fixed bug #336851 - gThumb crashes when I try "full screen"-mode
	* Fixed bug #337920 - created directory "doesn't exist" if it contains
	  spaces.
	* Fixed bug #336930 - Web album without JavaScript.
	* Fixed bug #334903 - Should save on hitting enter in “save as” dialog
	* Install theme-friendly icons.

version 2.7.5.1
---------------
	* Fixed photo importing.

version 2.7.5
-------------
	* Only display user visible drives in the location box.
	* Fixed bug #329889 - thumbnail generation and accentuated characters
	  in path.
	* Fixed little bug in crop dialog.
	* Fixed bug that prevented comments to be removed correctly when
	  iptc_data support was enabled.
	* Fixed command line catalog creation.
	* Fixed photo importing and fixed bug that prevented importing photos
	  when an instance of gthumb was already running.

version 2.7.4
-------------
	* Fixed bug #325833 – gthumb icon isn't on window title bar and windo
	  list applet.
	* Fixed bug #326844 – Scale Series: Prevent rename .jpg to .jpeg
	* Fixed bug #333102 – Image rotation action does not update the EXIF
	  tag correctly
	* Fixed bug #331714 - crash in Preferences Browser
	* Fixed bug #327245 - Full screen mode crippled if Xinerama is used
	* Fixed bug #313827 – Search does not work on categories with colon
	  symbol and similar names.
	* Fixed bug #331658 - EXIF attributes are not preserved after an image
	  modification + save
	* Fixed bug #327263 - Save doesn't work, save as does.
	* Fixed bug #327262 - Gthumb deletes exif data too aggressively

version 2.7.3
-------------
	* Fixed bug #329889 - thumbnail generation and accentuated characters
	  in path.
	* Fixed bug #329139 - Doesn't determine image type from content anymore
	* Improved the crop dialog.
	* Fixed bug #329600 – Deleting the Catalogue Search\ Results causes
	  erroneous behaviour.
	* Fixed bug #328010 - Add GNOME or GTK categories o the .desktop file
	* Fixed bug #327049 – Fix build with gcc 2.95
	* Fixed bug #325846 - gthumb refuses to compile with libexif-0.6.13.
	* Added ability to enable/disable many features in configure.in
	* Fixed bug #307959 - "Open With..." dialog offers gthumb as an option.
	* Fixed bug #324017 - failed to initialize Canon powerShot G5 due an GTK
	  bug.
	* Fixed bug #325211 - Image quality in web album.
	* Fixed bug #325308 - gThumb crash when reaching the end of a directory
	  during fullscreen viewing.
	* Fixed bug #325507 - gthumb crashes if startup_location gconf pref is
	  invalid.


version 2.7.2
-------------
	* Crossfading in slideshow mode (#312116)
	* Removed the location entry.  Use a specialized combobox with the
	  parent folders, drives and bookmarks (#324970)
	* Added ability to select the image type in the scale series dialog.
	* Adjust photo orientation on import.
	* Use a more accurate method to check whether an image is a gif
	  animation.
	* Added a Flickr like web album theme. Remove the BlueStrips theme.
	  Updated the Wiki web album theme.
	* Use gnome-vfs as much as possible.
	* Use p as keyword shortcut to pause/resume a slideshow.
	* Fixed bug #301726 – "Create Web Album" does not use relative
	  paths for images.
	* Fixed bug #310649 – Next/prev keyboard shortcuts in slides mode
	  shouldn't block
	* Fixed bug #319467 – Add keyboard shortcut to Lossless JPEG rotation.
	* Fixed bug #323872 – Import button should be greyed out while importing
	* Fixed bug #324812 – rotating images not working in gthumb fullscreen
	  mode.
	* Fixed bug #318828: Exif Orientation Tag Incorrectly Updated.
	* Fixed bug #322158: please add a generic name to the desktop file
	* Fixed bug #321924: "Sigle Window" is a typo
	* Fixed bug #321500: Makefile.am in components/catalog-view is broken
	* Fixed bug #305165: gthumb crash resize.
	* Fixed bug #321124: Confusing handling of --disable-schemas-install
	* Fixed bug #320947: Create Web Album Tool doesn't generate HTML pages
	  with International characters.
	* Fixed bug #321274: Incorrect log2 definition/detection.

version 2.7.1
-------------
	* Requires gtk+ >= 2.6.0 and glib >= 2.6.0.  Use gtk_about_dialog,
	  gtk_filechooser_button, gtk_font_button instead of gnome_font_picker
	  and gtk_color_button instead of gnome_color_picker.
	* Added a viewer window to view single images, with the optional
	  ability to reuse an already opened viewer window.
	* Added a window factory to use only one executable.
	* Added undo/redo support.
	* Added ability to manually reorder images in a catalog (#130063).
	  Allow to use the manual order in the "web exporter", "png exporter"
	  and "rename series" tools.
	* Added a 'scale series' tool.
	* Optionally store comments inside jpeg images using the libiptcdata
	  library.
	* Added ability to rotate to left/right a series of images,
	  or to auto-adjust the images orientation directly from the toolbar.
	* Added ability to customize the paper margins in the print dialog.
	* Added ability to print a non-saved image, and to set as wallpaper a
	  non-saved image.
	* Added a "View destination" option in the choose folder dialog.
	* Added ability to view the destination catalog after adding the images
	  to a catalog, and remember the user choice.
	* Added 'open' and 'open in new window' in the catalog list context
	  menu.
	* Removed Clean and NeatSquare album themes.  Added a Wiki theme
	  inspired by the wikipedia style.
	* Added time offset to the 'Change Date' tool and allow to change the
	  comment date as well.
	* Disable the screensaver during a slideshow.  Allow to pause/resume
	  a slideshow.
	* Added image dithering operations using the web palette or in
	  black and white.
	* Removed 'normalize contrast' and 'stretch contrast' commands.
	* Use the Edit->Rename command even to rename a series of images
	  (#171050).
	* Added a navigation bar below the location entry.  Removed the
	  navigation buttons from the main toolbar.  Added fullscreen button
	  on the main toolbar.
	* Added the image type in the metadata pane.
	* Underline the item name only when the mouse is over it in single click
	  mode.
	* Applied the same bugfixes of the 2.6.x series.

version 2.6.4
-------------
	* Fixed bug #145325: xhtml/xml support for Web Albums
	* Create high quality thumbnails when the thumbnail size is greater
	  than 128.  Fixes bug #152441: fuzzy thumbnails, not sharp thumbnails.
	* Fixed bug #164961: Browsing for Web Album location adds %20 to names
	  with spaces.
	* Fixed bug #160232: gthumb doesn't import pictures from
	  ARGUS DC1500 camera.
	* Fixed bug #165478: Rotated images no longer auto-refresh in image
	  viewer.
	* Fixed bug #167502: crash trying to open specific image.
	* Fixed bug #168938: Crash when loading a photo.

version 2.6.3
-------------
	* Fixed bug #161635: Scrollbar doesn't reset when viewing with next and
	  previous.
	* Fixed bug #156870: Duplicates allowed in catalogues.
	* Fixed bug #149883: Saving pictures with files extensions in
	  uppercase doesn't work.
	* Fixed bug #142897: Selected Categories area of Categories window
	  appears to be directly editable, but it is not.
	* Fixed bug #160003: gthumb toolbar horizontal icons + text only shows
	  icons.
	* Fixed bug #162323: Doesn't remember settings for serial port cameras.
	* Fixed bug #162852: pressing the camera icon while importing photos
	  does bad things
	* Fixed bug #163417: Filename in Rename Series (date %d) contains ":"
	  which is invalid filename under Windows.
	* Fixed bug #156677:  - ctrl+S should be the save shortcut, not the
	  Slide Show
	* Fixed bug #143102: gThumb SHOULD save sizes when window is maximized.
	* Fixed bug #164344: EXIF hour off by one (DST)
	* Fixed bug #164293: bad time in rename functionality
	* Fixes bug #143161: Select previous directory in directory list.
	* Fixes bug #149707: Remember last catalog for next catalog operation.
	* Fixes bug #164325: "Import Photos" error handling when import
	  destination is read-only or device is full.
	* Classic and ClassicClips album themes are now xhtml compliant.

version 2.6.2
-------------
	* Fixed bug #159492: freezes when trying to create thumbnail for a JPEG
	  file.
	* Fixed bug #159672: log2() function already defined under cygwin.
	* Fixed bug #159661: Symlinks in the root directory are incorrectly
  	  resolved.

version 2.6.1
-------------
	* Fixed bug #158682: Modified image auto-saved through confirmation
	  dialog loses EXIF data.
	* Fixed bug #158253: Crash when parsing dir with UTF8(?) filenames
	* Fixed bug #158174: Clicking cancel while thumbnail list is still
	  being extracted from camera crashes gthumb.
	* Fixed Bug #156851: Crash on startup on 64-bit architectures,
	  and other 64-bit cleanliness issues.
	* Fixed bug #156933: Patch to enable resizing of Import Photos dialog.
	* Fixes bug #152542: Add F12 keybinding to the Revert action.
	* Fixes bug #157761: Cannot resize the columns in the
	  "find duplicates" dialog of gthumb.
	* Enhanced usability with non-loadable images, for example xcf images.

version 2.6.0.1
---------------
	* Fixed bug #155958: Save as report incorrect write permissions issue.

version 2.6.0
-------------
	* Check libraries version when configuring.

version 2.5.2
-------------
	* Allow to burn the current catalog.
	* Save and restore the geometry of the comment and categories dialogs.
	* Fixed bug #134671: `Zoom to Fit' needlessly scales down image
	* Display a "no image" message in the image list when no image
	  is present in the current folder/cartalog.
	* Removed the "click on image to enlarge" message from the web
	  album themes.
	* Updated the user's manual.

version 2.5.1
-------------
	* Added supported mime types list to the .desktop file.
	* Fixed bug #150729: Problems saving .JPEG images.
	* Added a resize grip to the statubar.
	* Added nautilus:required_directory_content_mime_types
	  attribute to the catalog view component.

version 2.5.0
-------------
	* Use the Gtk+ UI Manager to handle menus and toolbar.
	* Use the Gtk+ FileChooser for saving and loading images or selecting
	  folders.
	* New comment system that saves comments in the .comments subfolder.
	* Added ability to write images and their comments to CDs using
	  Nautilus.
	* Make the comments dialog and the categories dialog modeless.
	* Preserve EXIF data when saving an image.

version 2.4.0
-------------
	* Allow to download video and audio files from a digital camera.
	* Resized album theme previews.
	* Removed the style attributes from the album theme files, uses css
	  classes instead.
	* Use '2' to set the zoom level to 200% and '3' to set it to 300%.
	* Fixes debian bug #241800: gthumb: incorrect treatment of accented
	  character in tools - rename series

version 2.3.3
-------------
	* Fixed bug #138979: DnD for non-Latin1 filenames fails.
	* Fixed comment saving in folders with spacial characters.
	* Recognize .JPG or .JPEG files as images.
	* Added zoom buttons to the fullscreen toolbar.
	* Updated the manual.
	* The thumbnail inner border is slimmer now.
	* Properly reset the modified flag when the current image is saved.
	* Save the position of the paned window.

version 2.3.2
-------------
	* Fixed bug #136097 (gthumb 2.2.1 ignores "save only changed fields"
	  tickbox).
	* Fixed bug #135110 (An UTF8 string was not converted to the current
	  locale (again)).
	* Fixed bug #126452 (Compilation error in data/albumthemse/BlueStripes
	  with index.xml.in parsing.
	* Fixed bug #136168 (Images with capitalized extensions (.JPG) are not
	  found by the image search/browser).
	* Fixed bug #136451 (Quick multiple selection problem).
	* Fixed bug #133452 (thumbnail-pane is resized when the application
	  window is resized).
	* Removed the destination manager in the Create Web Album dialog.
	* Fixed drag & drop (again :).

version 2.3.1
-------------
	* Fixed bug #133131 (exif orientation tag not updated).
	* Fixed bug #132614 (Comment font option menu in print dialog is
	  not disabled by default).
	* Fixed bug #109016 (Searches should match directories too).
	* Fixed bug #112254 (status line shoudl use date from comment rather
	  than mtime).
	* Fixed bug #130473 ("add comment" dialog uses ctime instead of mtime).
	* Fixed bug #130382 (gthumb keyboard usability issue).
	* Fixed bug #112254 (Needs Randomize Option on Slide Show).
	* Fixed bug #130823 (gthumb does not maintain permissions on files).
	* Fixed bug #130824 (gthumb does not complain about lack of
	  permissions).
	* Fixed bug #130829 (gthumb ignores current directory when starting).
	* Fixed bug #131852 (Moving images via drag-and-drop no longer works).
	* Fixed bug #131853 (Changing folders produces flicker in image
	  viewer).
	* Fixed thumbnail creation for jpeg images.
	* Fixed drag and drop.

version 2.3.0
-------------
	* Added photo importer tool.
	* Added crop image tool.
	* Added ability to print more images on one sheet.
	* Ask whether to save a modified image.
	* Implement generic transformations of non jpeg images.
	* Use %f, %d, %s instead of *, ! and ? in the renaming tool.
	* Allow to save void searches.
	* Update "View Next Images" and "View Prev Image" sensitivity.
	* New search icon.
	* When serching use the file mtime if no time is defined in the
	  comment.
	* Removed Exit from the File menu.
	* Simplify the Index Image dialog.
	* Check write permissions before saving an image.
	* Use a faster loader for jpeg images when creating thumbnails.
	* Do not launch Nautilus explicitly, use gnome_url_show instead.
	* Added --import-photos option to automatically open the import
	  photos dialog.

version 2.2.0
-------------
	* Bugfixes.

version 2.1.9
-------------
	* Bugfixes.

version 2.1.8
-------------
	* Bugfixes.

version 2.1.7
-------------
	* Manual updated.
	* Bugfixes.

version 2.1.6
-------------
	* Bugfixes.

version 2.1.5
-------------
	* Bugfixes.

version 2.1.4
-------------
	* Bugfixes.

version 2.1.3
-------------
	* Web Album: added ability to resize images before copying them
	  to the destination, and to personalize the theme choosing the
	  image caption.
	* Print dialog: the user can choose the comment font;
	  better preview; remember all settings; allow to set a custom
	  paper size.
	* Bugfixes.

version 2.1.2
-------------
	* Auto load a folder when hovering on it during a
	  'drag & drop' operation.
	* Added normilize and stretch contrast.
	* Added ability to change the preview content, now you can
	  view the image itself (old behaviour), the image data
	  (including exif data if present), or the comment.
	* Added ability to insert the image size in the 'rename
	  series' tool.
	* Search is case insensitive now.
	* Added prev, next buttons to the fullscreen toolbar.
	* New print dialog, easier, prettier and saves the preferences.

version 2.1.1
-------------
	* Added ability to insert image date in the 'rename series' tool.
	* Fixed jpeg saving.
	* Fixed toolbar not following the system style.
	* Fixed album exporter creating a broken previous page link.

version 2.1.0
-------------
	* New (faster) icon list widget.
	* Use the new thumbnail system (share thumbnails with Nautilus 2.2).
	* Print dialog ported to libgnomeprint 2.2.
	* New tool: Create Web Album.
	* Added ability to change list view (list or thumbnails).
	* Compile some tools as dynamic modules, and load them only
	  when needed.
	* Slideshow includes only selected images when more than one
	  image is selected.
	* Update the icon theme on the fly.
	* Added a black_background option to always use a black
	  background for the image viewer (only settable via gconf).

version 2.0.1
-------------
	* Bugfixes.

version 2.0.0
-------------
	* Updated manual.
	* Bugfixes.

version 1.108
-------------
	* Update only visible thumbnails.
	* Bugfixes.

version 1.107
-------------
	* Make image operations asynchronous and cancellable.
	* Added image saving support to the viewer component.
	* Bugfixes.

version 1.106
-------------
	* New image operations: auto adjust color levels, equalize histogram.
	* Added an histogram tab to the image properties dialog.
	* Delete operations now move files and folders to the Trash.
	* Added ability to copy, move and delete recursively folders.
	* Better Drag & Drop support.
	* Added a rename option to the overwrite dialog.
	* Use a folder selector dialog to select the destination folder when
	  copying or moving files.
	* Bugfixes.

version 1.105
-------------
	* New tools: edit image (hue, brightness, contrast, saturation,
	  color balance, etc.), convert format, change timestamp.
	* Use gconf as configuration system instead of gnome-config.
	* Added session management support.

version 1.104
-------------
	* New tool: find duplicates.
	* Added an image properties dialog that displays various image
	  properties and EXIF data if present (you need libexif).
	* Added ability to print the comment alongside the image.
	* Added option to choose the click policy.
	* Added "duplicate image" operation.
	* Better handling of long comments.
	* The image view component now supports printing, so you can print
	  an image (and its comment) using Nautilus.

version 1.103
-------------
	* New tool: jpeg lossless transformations.
	* The user can edit/view comments and delete images in fullscreen
	  mode.
	* Changed the fourth layout type to something more usefull.
	* Automatically update the content of a folder.

version 1.102
-------------
	* New tool: rename series of images.
	* Added a maintenance dialog where the user can delete old/all
	  comments/thumbnails, and backup and restore comments.
	* Added header and footer support to the "Index Image" tool.
	* Re-added the "Toolbar Style" option.
	* Added Next/Prev Image buttons on toolbar.
	* Click on an image to view the next one.
	* Minor usability improvements.
	* Bugfixes.

version 1.101
-------------
	* Changed arrangement of menus.
	* Preload next 2 images and previous one when browsing.
	* Added ability to view an image in black and white.
	* Bugfixes.
	* Removed a few memleaks.

version 1.100
-------------
	* Ported to GNOME 2.
	* Added ability to go back and forward in history.
	* Added ability to rename and delete folders.
	* Better error reporting.
	* Removed redundant options.

version 0.10
-------------
	* Improved usability of the "Open with" dialog.

version 0.9.9
-------------
	* View fullscreen directly from the contextual menu of a thumbnail.
	* Option to switch automatically to full screen mode when the
	  slideshow starts.
	* The user can specify an editor different from the ones associated
	  with images.
	* Bugfixes.

version 0.9.8
-------------
	* Minor features added.
	* Bugfixes.

version 0.9.7
-------------
	* Bugfixes.

version 0.9.6
-------------
	* Selection works better when directories contain a lot of files.
	* The location entry can stay on a separate toolbar.
	* More keyboard shortcuts.
	* Added "fit image to window only if larger" mode.
	* Bugfixes.

version 0.9.5
-------------
	* Added a search tool.
	* Made an image viewer component.
	* New icon.
	* Bugfixes.

version 0.9.4
-------------
	* Bugfixes.

version 0.9.3
-------------
	* New feature: Add comments to images.
	* Ask what to do when trying to overwrite a file.
	* Bugfixes.

version 0.9.2
---------------
	* Fixed RPM build.
	* Added 2 more layouts (Josua Groeger).

version 0.9.1
-------------
	* New feature: Save thumbnails as single image.
	* Various usability improvements.
	* Mouse wheel support.

version 0.9
----------
	* Faster zooming.
	* Added a navigation window ala GIMP.
	* Fully usable with the keyboard.
	* Added a little manual.
	* Can accept multiple directories at command line.

version 0.8
-----------
	* Uses Gnome-VFS.
	* Bugfixes.

version 0.7.2
-------------
	* Added print support (optional).
	* Fixed gdk-pixbuf detection.

version 0.7.1
-------------
	* Translations: French, Japanese.

version 0.7
-----------
	* New option: Thumbnails size.
	* Added history menu.

version 0.6.4
-------------
	* Bookmarks are in a menu now (ala Nautilus).
	* Bugfixes.

version 0.6
-----------
	* New thumbnails view.
	* New option: change window layout.

version 0.5
-----------
	* New options: transparency type, checks color and size (ala Gimp).
	* Rotate, Flip and Mirror image (not for animations).
	* Faster image scrolling.

version 0.4
-----------
	* Play GIF animations.
	* Drag & Drop.
	* Use Nautilus thumbnails (read only).

version 0.3
-----------
	* Options dialog.
	* TAB completion in location entry.
	* More keyboard shortcuts.
	* Translations: Dutch, Korean.

version 0.2
-----------
	* First public version.
